GNU bug report logs - #59347
29.0.50; `:family` face setting ignored

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan Monnier <monnier@HIDDEN>; dated Fri, 18 Nov 2022 04:58:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 21 Nov 2022 15:08:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 10:08:36 2022
Received: from localhost ([127.0.0.1]:48468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ox8PU-0008Ov-9s
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 10:08:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ox8PQ-0008Oe-IN
 for 59347 <at> debbugs.gnu.org; Mon, 21 Nov 2022 10:08:34 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ox8PF-0002NO-4u; Mon, 21 Nov 2022 10:08:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Dmgc5DmXdODlfq13Xvo8i4ISMRgmWw1z55F32jk+dGo=; b=h0LRTtVOZhDx
 8zq84JDaKW79/SDJHHJB3mVBbVb4kE9aIVE7jNTaVYS7TM+kvlYWHqc2vq2QBzhHoRPozSnk/AdNR
 CjdaMN7FU6a2oG/SeK4U8XsKZa9p85IRDCOaLyGteD0YlFWlg8cQh1km/zfExWznkP1ONmS1fKaDb
 ARLMmXP3uxwvKgqqrnduJl+46ZTBVjeARp0N9gD/fKD0IGjlRoRAIvQNrXq8+VYfcGLn7ScNmofni
 2BhhaL9xJ4Lp2p/x/Q5NjkuccDbJEuoNESwCnVk6lerc7dHbrm8NsgrE/bVW7lDFZXu5kFb15QyNv
 WWD5twR5Qjgb4K/q8DHE9Q==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ox8PE-0004H9-8Y; Mon, 21 Nov 2022 10:08:20 -0500
Date: Mon, 21 Nov 2022 17:08:30 +0200
Message-Id: <83leo42vm9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <c25df841baa002942a63@HIDDEN> (message from Gregory
 Heytings on Mon, 21 Nov 2022 14:48:59 +0000)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <7cc9e03786e324ff82ef@HIDDEN> <83bkp04gjl.fsf@HIDDEN>
 <c25df841baa002942a63@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 21 Nov 2022 14:48:59 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
> 
> All in all, it seems to me that we should not change font_score now.

OK, thanks.

> > Btw, another conceptual issue I have with your patch is that it treats 
> > 'medium' and 'regular' asymmetrically (AFAIU): if we see 'medium', we 
> > also consider 'normal', but not vice versa.  Why the asymmetry? why not 
> > always consider the other when we see the one?
> >
> 
> That's correct, indeed.  The reason (which is perhaps not convincing 
> enough?) is that fonts with an explicit 'medium' variant are less common 
> than fonts with an explicit 'normal' variant.  So if we're trying to find 
> a 'normal' font, the likelihood that a 'medium' font would be a better 
> match than a 'normal' font is low.

I understand, but are there any downsides to making it symmetrical?

My only other comment is that perhaps the consideration of 'regular' when
'medium' was required (or vice versa) should be controlled by a variable
that people could tweak from Lisp.  This would help us if this change
causes, or is suspected to cause, some regression in some case.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 21 Nov 2022 14:49:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 09:49:03 2022
Received: from localhost ([127.0.0.1]:45990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ox86Z-0004xe-9X
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 09:49:03 -0500
Received: from heytings.org ([95.142.160.155]:53006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1ox86X-0004x7-AW
 for 59347 <at> debbugs.gnu.org; Mon, 21 Nov 2022 09:49:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1669042139;
 bh=cjYdf2mIXMzaB7zcuDlQ+L57n+L+0NOuQTFWHRHSOo8=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=6ZSV4eX1kvHyHg84ClW8onUQn2jce/RWDpHvNgyTxEUTQzig3pNVLtR2juAn4h5SO
 KzDbZoEAK+JSAFGOfdAOHmMnit/MBwsJUMxZJ4AocbZo0XEFo7OjdWtcPj3smVQKk8
 p/miFzgWyoQgUF0C8A3yZSKcg/neveGxuR1N1E21jAst3hr+qGBktt4Qv2Ytdod+mM
 sU9nbAiQc60oRgVGS/ZJNsUEb9bdsIJVw0urYAVB6/rsSaDBIusvyF+uVo1Ri5Lgtj
 8I5Gvg7wQwO6sKuro/OAkWAd7Ln8C3c+z64nQxMBYFCR++gGej2Umv13oPG6HS/xBO
 dMHfTg+FkfpWg==
Date: Mon, 21 Nov 2022 14:48:59 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83bkp04gjl.fsf@HIDDEN>
Message-ID: <c25df841baa002942a63@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <7cc9e03786e324ff82ef@HIDDEN> <83bkp04gjl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> Also, AFAIU, a font whose weight == spec_prop[weight] is in principle 
>> preferred to a font whose weight != spec_prop[weight].  However, a font 
>> whose weight != spec_prop[weight] could in practice be preferred to a 
>> font whose weight == spec_prop[weight] when it is a better match 
>> according to the other sorting criteria (size and width, and possibly 
>> type and slant). How could (and why should) this be changed to make 
>> sure that the scoring will not sometimes prefer the medium weight when 
>> the regular weight exists?
>
> I thought the answer to your question would be "adjust the scoring such 
> that what we don't want to happen, doesn't".
>
> One way of doing that is by boosting the score when there's an exact 
> match in attributes which we consider "more equal than others".  I guess 
> weight is one of them, and perhaps the only one.
>

Hmmm...  AFAIU that's already the case: when there's an exact match (e.g. 
we're expecting a medium font and the font is medium) the weight field for 
that font is 0, and when there's an inexact match (e.g. we're expecting a 
medium font and the font is regular) we store the difference between the 
two weights (which is 20 in this case) in the weight field.

It does not seem possible (at least not without adding a lot of 
complexity) inside font_score to know that the font only has a medium 
variant and that if we're expecting a regular font, we should therefore 
consider that the font is an exact (or "less inexact than if the font had 
a regular variant") match.  And, even if we don't do that, in that case 
and similar ones a medium variant will be better scored than a semi-bold 
or semi-light one.

All in all, it seems to me that we should not change font_score now.

>
> Btw, another conceptual issue I have with your patch is that it treats 
> 'medium' and 'regular' asymmetrically (AFAIU): if we see 'medium', we 
> also consider 'normal', but not vice versa.  Why the asymmetry? why not 
> always consider the other when we see the one?
>

That's correct, indeed.  The reason (which is perhaps not convincing 
enough?) is that fonts with an explicit 'medium' variant are less common 
than fonts with an explicit 'normal' variant.  So if we're trying to find 
a 'normal' font, the likelihood that a 'medium' font would be a better 
match than a 'normal' font is low.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 21 Nov 2022 12:51:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 07:51:09 2022
Received: from localhost ([127.0.0.1]:45708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ox6GS-0005qO-So
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 07:51:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ox6GR-0005q7-LV
 for 59347 <at> debbugs.gnu.org; Mon, 21 Nov 2022 07:51:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ox6GM-0004hJ-BB; Mon, 21 Nov 2022 07:51:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=7J3YN/1NFo4p3b6Yk/91/WHyucdHJVj2Ai83jKsTllM=; b=K7XS2BAAB5SQ
 OwvfrnegfAJhnYA6ZQr9FCZzg58my8gwh9HHq7vFQ0VRcbjiLitD5CxquwjerBrwcPJqdGTrVB5JJ
 7uiACCIAm0R7UQWaYb3pS2Ux/G/ZDaVBPku5BTW0VKvz67BgGMVkdfiWx+QW1Kf5NNHRHlTuSxjPE
 /fMM4b1RS+t/QXN3WF348zMqIwOSHljaRTCqKrWMhl3sKHa+7XkQiW4qaB2+++VELWjEUHayOtpAM
 85QkIXQ3yI1Gll3uoyTntnCJLT3Jt7xjVoCNcL33UL/wYl+SUGlCXA58TQTLDj3+djYJiDp/nnhE1
 k0ZQ3Asw/Xw0O+6Sc7uuIg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ox6GJ-0002Xr-Kf; Mon, 21 Nov 2022 07:51:01 -0500
Date: Mon, 21 Nov 2022 14:51:10 +0200
Message-Id: <83bkp04gjl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <7cc9e03786e324ff82ef@HIDDEN> (message from Gregory
 Heytings on Sun, 20 Nov 2022 21:49:46 +0000)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <7cc9e03786e324ff82ef@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 20 Nov 2022 21:49:46 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
> 
> Also, AFAIU, a font whose weight == spec_prop[weight] is in principle 
> preferred to a font whose weight != spec_prop[weight].  However, a font 
> whose weight != spec_prop[weight] could in practice be preferred to a font 
> whose weight == spec_prop[weight] when it is a better match according to 
> the other sorting criteria (size and width, and possibly type and slant). 
> How could (and why should) this be changed to make sure that the scoring 
> will not sometimes prefer the medium weight when the regular weight 
> exists?

I thought the answer to your question would be "adjust the scoring such that
what we don't want to happen, doesn't".

One way of doing that is by boosting the score when there's an exact match
in attributes which we consider "more equal than others".  I guess weight is
one of them, and perhaps the only one.

Btw, another conceptual issue I have with your patch is that it treats
'medium' and 'regular' asymmetrically (AFAIU): if we see 'medium', we also
consider 'normal', but not vice versa.  Why the asymmetry? why not always
consider the other when we see the one?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 21 Nov 2022 12:27:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 07:27:30 2022
Received: from localhost ([127.0.0.1]:45674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ox5tZ-0002yx-Qp
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 07:27:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ox5tV-0002yi-Ry
 for 59347 <at> debbugs.gnu.org; Mon, 21 Nov 2022 07:27:28 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ox5tP-0000DI-Ef; Mon, 21 Nov 2022 07:27:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=cOXU3rbZyNiHx1qF9LZO0Y4ET9oucyVsk948IgKdjZI=; b=hZECdRUbBuv1
 WiWsvESo+W2P3dyWpPHvYxC6ttIemhc2wLRntx0NUf4m4QTv3d3XnMVpgaczJX13CrSH2QQbuzgWQ
 UgFt6vahAjF+nMceJnVKtgC49Tzn7dDsqMe8o4OBZMBP9FlaMJ2ge1n6Ku4SNYCa7Bf1wc5Mlf6gT
 qBUBoF0mGEwBb2SzMDCK689n7tKEQIwAOKRcgzCh9yvkF3eHG4KpJnNsIc2A5VC0sxARfY2Li5wsU
 +R2xY2GsxX9sRZJBaLfuLciS+nFwRQWoSetBm8yJXLCd8VsDZXHwLs3vkR1o6TltmNPV0FjW0s/tr
 tLdD0cufHC0i8wbgnuT8Qg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ox5tO-0003SF-5D; Mon, 21 Nov 2022 07:27:19 -0500
Date: Mon, 21 Nov 2022 14:27:27 +0200
Message-Id: <83edtw4hn4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <7cc9e03786669b4339b2@HIDDEN> (message from Gregory
 Heytings on Sun, 20 Nov 2022 20:45:15 +0000)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <7cc9e037869a7335b0f1@HIDDEN> <7cc9e03786669b4339b2@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 20 Nov 2022 20:45:15 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
> 
> >> And yes, I'd still be interested in understanding why asking for 
> >> another foundry fixed or worked around the problem.
> >
> > Okay, I'll try to find out if I have time.
> >
> 
> Well, I cannot investigate this myself.  I just tried
> 
> src/emacs -Q --eval \
>          '(progn
>             (custom-set-faces `(variable-pitch
>                                 ((t (:family "DejaVu Sans" :foundry "PfEd")))))
>             (add-to-list `default-frame-alist
>                          `(font . "-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*"))
>             (font-lock-mode -1)
>             (insert (propertize "hello" `face `variable-pitch)))'
> 
> and the font I got is 
> -PfEd-Terminus-medium-normal-normal-*-12-*-*-*-c-*-iso10646-1.  I removed 
> the Terminus font from my system, and I got "no font available".

Thanks for trying.  I guess we will have to wait for Stefan to dig into what
happens on his system.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 21:49:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 16:49:50 2022
Received: from localhost ([127.0.0.1]:44795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owsCE-00033M-HN
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 16:49:50 -0500
Received: from heytings.org ([95.142.160.155]:52056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1owsCB-000337-RG
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 16:49:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1668980986;
 bh=cP0o0nYNmyPIkkxvCPMgWx8DVR9Pe2aif+1Dvi6ytmE=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=s/i5zWWlJRiHZCza8yiKPclYIH7pqXo2WSw+Hcmae55Sz6G0T1NvJX/2nSNxXGcFb
 YUtXvWaKR/6LaWrwKEGWISON4WAGeR/zJoOj824NUmTjXUX7Sx1cnHnYI2fz3TyS/c
 udx8uOyh4wP35gqRupx5DQYqMW/x/PhwKj6F3f4NF1MJgwQURNOmrOZvOi/1yYe42+
 lsDekycQq1M/+fsB+BhJmiMkToKuXzHcPDi0GYjK3EHU6ZQ0me+XOeA3mTaSMxY7lz
 adD2mT2DSortKE2Hi2+WXjvIGNmBia6HAbQtMmuKxW6+PuDDtP4wjL+hDBV83yx8ot
 HOXBg1Hy93yNQ==
Date: Sun, 20 Nov 2022 21:49:46 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83tu2t4ie9.fsf@HIDDEN>
Message-ID: <7cc9e03786e324ff82ef@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> Yes.  We need to make sure the scoring will not now sometimes prefer 
>>> the medium weight where the regular weight exists and is a better 
>>> match. Not only should it not reject a legitimate font, but also not 
>>> prefer another font due to this change.  IOW, the change should 
>>> ideally only affect the cases where the 'medium' weight doesn't exist, 
>>> and we therefore prefer to use 'regular' rather than reject the 
>>> family.
>>
>> I don't think the case you have in mind could happen in the scenario of 
>> this bug or bug#57555 (if a regular weight exists and is a better match 
>> the loop in font_find_for_lface will exit with that better match), but 
>> indeed with some other call sequence this could perhaps happen.  I'll 
>> see what I can do.
>
> Thanks, it's indeed the other cases that I worry about.  We had a lot of 
> changes in this area which solved one problem only to create others.
>

After looking at this a bit closer, I don't see how font_score could be 
changed, or even why it should be changed.  It has only two callers: 
font_match_p and font_sort_entities.  The former only checks whether its 
return value is > 0 (IOW it only checks whether the font is an exact match 
or not).  The latter has only two callers: list-font and 
font_select_entity.  The latter has only one caller: font_find_for_lface. 
So it seems to me that there are no execution paths that could be 
negatively affected by this change (which is in font_find_for_lface).

Also, AFAIU, a font whose weight == spec_prop[weight] is in principle 
preferred to a font whose weight != spec_prop[weight].  However, a font 
whose weight != spec_prop[weight] could in practice be preferred to a font 
whose weight == spec_prop[weight] when it is a better match according to 
the other sorting criteria (size and width, and possibly type and slant). 
How could (and why should) this be changed to make sure that the scoring 
will not sometimes prefer the medium weight when the regular weight 
exists?

I'm probably missing something, but what?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 20:45:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 15:45:23 2022
Received: from localhost ([127.0.0.1]:44750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owrBr-0001RG-6e
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 15:45:23 -0500
Received: from heytings.org ([95.142.160.155]:51988)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1owrBl-0001R4-BG
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 15:45:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1668977116;
 bh=K/l4xTQUFAY3af7Gu9HtMCAPf6et/GU42M8NleqrQ50=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=FNsmWDR7Eubi47ujBMKv86N5w6HJA7o+IrkvLJGaEPehoCfHRR9hola5+gN0RKenH
 utjByXMXqnwT+I5PnRwQXeWWpnB/mhhhkdk4xnATC4q6j2YkzShm808LoRpdpyqi24
 EDLQHorjcQbofago56ITLk5W7vDtLkhn7rnWpgGy0pEyXckJ0pgAMn3c6nYrMvR0v2
 rWjpyW+uafzAO03gfxByQzwM2wxnpyMs7IKvPVxkhhEIyv7+FyyYPkRYjqSoSznlhG
 H2XmNvbO02SiOEcMn5ylfFXEami9Qvc4pQydQhurdkkG6zBKn0KFGRoLdL723xj1ca
 Y4jNwwyH9P/cg==
Date: Sun, 20 Nov 2022 20:45:15 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <7cc9e037869a7335b0f1@HIDDEN>
Message-ID: <7cc9e03786669b4339b2@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <7cc9e037869a7335b0f1@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> I'd have to investigate this, is it really worth the effort given that 
>>> a proper fix has already been found?
>> 
>> I'd like to hear Stefan say that this is fixed on his system as well. 
>> And yes, I'd still be interested in understanding why asking for 
>> another foundry fixed or worked around the problem.
>
> Okay, I'll try to find out if I have time.
>

Well, I cannot investigate this myself.  I just tried

src/emacs -Q --eval \
         '(progn
            (custom-set-faces `(variable-pitch
                                ((t (:family "DejaVu Sans" :foundry "PfEd")))))
            (add-to-list `default-frame-alist
                         `(font . "-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*"))
            (font-lock-mode -1)
            (insert (propertize "hello" `face `variable-pitch)))'

and the font I got is 
-PfEd-Terminus-medium-normal-normal-*-12-*-*-*-c-*-iso10646-1.  I removed 
the Terminus font from my system, and I got "no font available".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 20:09:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 15:09:04 2022
Received: from localhost ([127.0.0.1]:44712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owqch-0000Yf-Nq
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 15:09:04 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:38471)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1owqcc-0000Y9-Sh
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 15:09:03 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id B3B521000E1;
 Sun, 20 Nov 2022 15:08:52 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 64FC1100054;
 Sun, 20 Nov 2022 15:08:51 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668974931;
 bh=lZc3k3b0yxdvMAtjqHUQl+m8z2Cle5mGlso6WcfAMeQ=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=hUiXUSI9EHAxfD/cfe89PL0I9CrCdRQi8uH7ZHGEiov31AOgTjmpdQs5dtt2CA+Y1
 iWxprQhRKDXusSaWRCmlEfkj0QNV0FcJpb35t+e++lossLNc2kXBwyBzGiBomn5HM+
 sukulWHnH3BC5h30ZWcfaIoZKktRY0+KUIH9poysfXkJw3l7RKHSiSZQfv6zDb/lrA
 oVPbeQ9OjFGiPNYw721gP7nMK1ltlBTeOC4LlCBEswE06q2uST2fLxmPVIRzGBSj2m
 VaaDWiQhkqmfB52/htFOAIC4aoGYFWVx2pQ6hI6i24QLU7uMScw39RhX8PpReAs1nv
 EJVNuQRQqXp4A==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 318611204DF;
 Sun, 20 Nov 2022 15:08:51 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83ilj94cq2.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Nov
 2022 22:01:25 +0200")
Message-ID: <jwv35ad2xu1.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <7cc9e037869a7335b0f1@HIDDEN> <83sfid4hfu.fsf@HIDDEN>
 <7cc9e03786a696f1a3e7@HIDDEN> <83ilj94cq2.fsf@HIDDEN>
Date: Sun, 20 Nov 2022 15:08:48 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.037 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: Gregory Heytings <gregory@HIDDEN>, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii [2022-11-20 22:01:25] wrote:
>> Because -misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-* only matches two 
>> weights: medium and bold.
>
> Where is that coded?  Or is that something general about semicondensed width
> fonts?

It's simply a property of the `misc-fixed` font which only comes in two
variants of weight.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 20:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 15:01:24 2022
Received: from localhost ([127.0.0.1]:44707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owqVH-0000O5-Pv
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 15:01:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owqVG-0000Ns-00
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 15:01:22 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owqVA-0002CV-Pa; Sun, 20 Nov 2022 15:01:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=JLYMA9S0mVSFC4gk7HiyZY5WvhjkX9hUj88qaRyCRrs=; b=QaVIqq0CiCUu
 TWo3Zikc8rK5fnChlQk3/yrE6dPEKsYqydQcL8p0imGXX5Xi71nNsVITanj9JgijiRNajM8bD5w1L
 GQjOTLeAvVKeIipeogfTO/PGxwYYiox5C/rS505vJNOIJyTHqQ1ue2rGbmqIO3px1HOWzN+yVGVx/
 /V1NG9vmKzqf+y5Vst8kUJ1QRMHvTqebNN4qqyY/TctWW1NOJpjbpGb2cvHfKO7QHpeyDEXlx+ljN
 nTampcu1miXx9HH9Qm9D99kGSlTEZEls5xMnYiGlRpQ1FsykZEW7niHLUFG/tkwzw7ORZGmKXba0u
 dYIb7tE1ZpCWans83tM/TQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owqVA-0001WS-09; Sun, 20 Nov 2022 15:01:16 -0500
Date: Sun, 20 Nov 2022 22:01:25 +0200
Message-Id: <83ilj94cq2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <7cc9e03786a696f1a3e7@HIDDEN> (message from Gregory
 Heytings on Sun, 20 Nov 2022 19:45:19 +0000)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <7cc9e037869a7335b0f1@HIDDEN> <83sfid4hfu.fsf@HIDDEN>
 <7cc9e03786a696f1a3e7@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 20 Nov 2022 19:45:19 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
> 
> 
> >>> No, the spec was -misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*, so 
> >>> any weight should be okay.  See Stefan's original recipe.
> >>
> >> It's the spec of the default face, so its realization takes place 
> >> before the realization of the other one (DejaVu Sans), and the medium 
> >> weight is selected.
> >
> > Yes, but why medium?  Is that the default (I don't think so)?
> >
> 
> Because -misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-* only matches two 
> weights: medium and bold.

Where is that coded?  Or is that something general about semicondensed width
fonts?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 19:46:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 14:46:03 2022
Received: from localhost ([127.0.0.1]:44697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owqGQ-0008Px-NE
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 14:46:02 -0500
Received: from heytings.org ([95.142.160.155]:51906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1owqGP-0008PK-8i
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 14:46:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1668973560;
 bh=AggG3bNQRrPwrbByfNVyrrMcRn7Jk7E2j57TDmQbKA4=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=kIKYre6xdQhIs4JemKXNTJDLWqVVWu6WHKfSgrgkZ6jbMZzkJdX204JiywnM2N9ke
 57Jfy66tkYlzbBhjMUWRfm5DvbJ+xIG7hKCZOubu2aLMjtrwL+Rvs1bVvFVfBp52c9
 4AIs3WhaKezzhD3ovmtf/O607BJxCxZLLjI8onBhdreg76l+qMYjm6VytiWW4BCdGa
 ekE0kXnxDhdqyJQntdhF0l5096v1RIMuNIWuiEuUQF0AUWW3iKZOjAaK4Uj0HtkT1e
 8qMflAsaA/dA5aLXgh6fLz1LyE4utPYd7rvSBvzy5eiBqNmO2V+2QBGCFGGeo66DD2
 WE+HLObZnUPig==
Date: Sun, 20 Nov 2022 19:46:00 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <jwvbkp14hme.fsf-monnier+emacs@HIDDEN>
Message-ID: <7cc9e037861402e6b468@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN>
 <jwvbkp14hme.fsf-monnier+emacs@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: Eli Zaretskii <eliz@HIDDEN>, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> Stefan, could you please try the attached patch and see if it fixes 
>> your problem?  (It does here, with your recipe.)
>
> It works for me, indeed!
>

Great, thanks!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 19:45:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 14:45:23 2022
Received: from localhost ([127.0.0.1]:44693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owqFn-0008OY-D2
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 14:45:23 -0500
Received: from heytings.org ([95.142.160.155]:51898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1owqFl-0008OQ-Lg
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 14:45:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1668973520;
 bh=u7okC0nlN7tVS92VTMaRlb7zj7vQQuEY6L2Cpp6UPzo=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=SOGDG5QvvC3mnLDqZHbP/XfLh3Cm3AKXQKf6UUFGvfBslEp/fn/shCUgZHPhk4bVa
 a3qIV/jkcLEr07ZezjaEOybIt8uZ5QzueF5/olNm5uWekL7wjEMoUqsZxR4hjX3WAy
 d2jxR0CoMNeJOYFpoSdZWtQixM8rVsMjGhcHO3bvgz1cmSEC9uO/EIwidKpuqqBLO2
 0OWm3YJFD3Wsxh2yxhK/tHjZ2FUqJ87JRxdbyR1/l8hv7Pgc21pL5NTMfmhIXL37+0
 KSIyYBpX/fF8N7Owfmt2bkUsY6jPIaE6x5zZYNYM3J/H7Q3pgOPl9GbgXGnAY1YjsZ
 sA/7qV9725KMw==
Date: Sun, 20 Nov 2022 19:45:19 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83sfid4hfu.fsf@HIDDEN>
Message-ID: <7cc9e03786a696f1a3e7@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <7cc9e037869a7335b0f1@HIDDEN> <83sfid4hfu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> No, the spec was -misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*, so 
>>> any weight should be okay.  See Stefan's original recipe.
>>
>> It's the spec of the default face, so its realization takes place 
>> before the realization of the other one (DejaVu Sans), and the medium 
>> weight is selected.
>
> Yes, but why medium?  Is that the default (I don't think so)?
>

Because -misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-* only matches two 
weights: medium and bold.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 18:54:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 13:54:22 2022
Received: from localhost ([127.0.0.1]:44632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owpSQ-00074y-9d
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:54:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owpSO-00074k-M2
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:54:21 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owpSJ-0002dq-9v; Sun, 20 Nov 2022 13:54:15 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ls6lp4wsx8kaklT9RWhrhNniVfvkps9m3rwwNzlv8rg=; b=cqAx0ZIr1Esa
 x0z1fn+t11hjnHBZv0JKsdkwJXSTgmHDI/rQ1yAfIqagbXBncU777dbfAVgUEfzNCh7MvEQ2skG3t
 lDo+L9OMagubjV0sC0fr3DwR9qPJ/vc4Z6tNAq+Eh+EWfQo4l4Ww7sRbGiBYVWRBZmWVmD6qs+rUB
 2jj1r0F6+SuYoEKmtdAqwR5Y5uP+59SWjEmS1CLk+/G+D3EUDY8uphoAVK+KNnqpFsKI55Io2OBJ2
 xkrkf3FwzfsQ5l2IlQrK+LdhJJr5ggs5pPUWaqYCvY1yp7pxxUcCsbjtFvNm0nLeQAmlf6gkb2tXD
 SUlcNRldRjRFpUKTymeRPA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owpSI-00027O-QH; Sun, 20 Nov 2022 13:54:15 -0500
Date: Sun, 20 Nov 2022 20:54:25 +0200
Message-Id: <83o7t14ftq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwvzgcl32c9.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Sun, 20 Nov 2022 13:31:52 -0500)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <jwvzgcl32c9.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: gregory@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Gregory Heytings <gregory@HIDDEN>,  59347 <at> debbugs.gnu.org
> Date: Sun, 20 Nov 2022 13:31:52 -0500
> 
> > Thanks, it's indeed the other cases that I worry about.  We had a lot of
> > changes in this area which solved one problem only to create others.
> 
> That's why I think we should make an effort to provide test cases (even
> though it's clearly going to be tricky).

"Tricky"?  I don't even know how it would be possible.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 18:53:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 13:53:36 2022
Received: from localhost ([127.0.0.1]:44627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owpRf-00073a-Rc
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:53:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owpRc-00073L-2J
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:53:35 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owpRW-0002ak-R0; Sun, 20 Nov 2022 13:53:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=iXfnaXh6y0ysQ+q427RAlReGKt30i7jqzM4qH8+GCHU=; b=Dmq6vfdkQHKj
 SlkN7Cx7nROnYSVSRsc7+RIGLBSW5Smgev5twTXOZyyhFn+smkPM5Bp2th1XWITJ0yMbqirma1DZj
 +cbTUX09ewqT1sUcqvVEAg2d1W6CakUBh98LOEsdUA0sSxGWcKvfi1F3OuylnseAPGm3akxO6Lq7d
 V8aVzYj1sI+0wmkbLU4KGFc5ZH2rwBAlOuYNt0rMC7y12yYyE/SCbdKsZkfpUVO5RHe59+CALF8RU
 pLBXiNo/3xLU1Kw1f81+I/BU1JuILoxw5He3t/khqe1OuEEODVqK+fMvYs9CZZKeHktvVf+D/EHc9
 5wXEQ0IJtS7Bz3ztjDko7A==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owpRS-00023f-Q4; Sun, 20 Nov 2022 13:53:26 -0500
Date: Sun, 20 Nov 2022 20:53:31 +0200
Message-Id: <83pmdh4fv8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwv5yf94hdm.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Sun, 20 Nov 2022 13:30:41 -0500)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <jwv5yf94hdm.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: gregory@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Gregory Heytings <gregory@HIDDEN>,  59347 <at> debbugs.gnu.org
> Date: Sun, 20 Nov 2022 13:30:41 -0500
> 
> >> I'd have to investigate this, is it really worth the effort given that a 
> >> proper fix has already been found?
> > I'd like to hear Stefan say that this is fixed on his system as well.
> 
> As mentioned in my other message, it does fix it for me.

Good to know, thanks.

> > Thanks, it's indeed the other cases that I worry about.  We had a lot of
> > changes in this area which solved one problem only to create others.
> 
> BTW, when scoring fonts, I'd expect that the different weights get
> turned into a number and we then look at the difference between the
> requested number and the font's number.

We do that, yes.  But the problem is not the conversion to numbers, the
problem is the balance between the numerical value of a given difference in
weight vs the numerical value of a given difference in width or slant.  They
should follow some reasonable considerations of selecting suitable fonts in
various use cases.  When we start considering 'normal' in addition to
'medium', or vice versa, we introduce changes into the relative scores of
fonts, and the results could be not what we want.

> [ tho, to be honest,
> I have no idea which of `regular`, `normal`, and `medium` is supposed to
> be heavier or lighter.

See the beginning off font.c, where the numerical values we use are spelled
out.

> The same problem can affect the width attribute where many of the possible
> choices seem to use just arbitrarily different names for the same thing.

We score by values, not by names.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 18:32:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 13:32:02 2022
Received: from localhost ([127.0.0.1]:44608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owp6o-0006WT-G5
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:32:02 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:58316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1owp6m-0006W0-Hb
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:32:00 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 44BFE1000E1;
 Sun, 20 Nov 2022 13:31:55 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id D77ED100054;
 Sun, 20 Nov 2022 13:31:53 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668969113;
 bh=fPAAj60YbPjHFx+Sr/X1Mc9cBban9nlSPpTpajpGQOs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=Mx+jYcuna9RxrozjW927bnIHA8eAMqQK+DKng39Gy5l/XS+VQCHsCsQLvbOUW4wPb
 cikwll0e22cf3kERS8ElSKgLiwz2huR6ph4D0HodUmZam4yQVwoxWwnK8cPI8CD3A5
 2W1f8iM5ZoWRi82K8SNn47Ta3dljHb82fFXr9pKsEwpG/csHarwHQ2auplyG6cE/Iw
 Jlp2h+5M1RlKURWHrJC9E0B9kql1zA9cP7oGDgxZSYnb2S6qv3Jt4HH0tw2ayCGWOr
 PsgyPUNeibWg3cf3H7VXTIBkRVmeYZYFVFaBSMY7AndrMj3MYDese6BoLVWp/HoQ0p
 MyJjkudM4dztg==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id B07951201C3;
 Sun, 20 Nov 2022 13:31:53 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83tu2t4ie9.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Nov
 2022 19:58:54 +0200")
Message-ID: <jwvzgcl32c9.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
Date: Sun, 20 Nov 2022 13:31:52 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.039 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: Gregory Heytings <gregory@HIDDEN>, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Thanks, it's indeed the other cases that I worry about.  We had a lot of
> changes in this area which solved one problem only to create others.

That's why I think we should make an effort to provide test cases (even
though it's clearly going to be tricky).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 18:30:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 13:30:59 2022
Received: from localhost ([127.0.0.1]:44603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owp5n-0006UX-2o
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:30:59 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:17442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1owp5k-0006UL-N9
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:30:57 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 7B651440A49;
 Sun, 20 Nov 2022 13:30:50 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id B466E440A1E;
 Sun, 20 Nov 2022 13:30:44 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668969044;
 bh=epwlysr9J6ukE7RCPMypX3x0S+yGXezYiZ46vIyI8hc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=NBRL8oRbeZrCgB6sJA8p9D48bUcT/BqksJAMCfD9IwmvDMdscWKAQGf0Vtx9vN3uY
 lCVQ5u8gNERAwjIri7oclrVjqCvrXYgExOGBNgi7i4srOXXsY6Hx2n+4MEcfW64fiY
 NOKV94ePbwpLX/QO+t8FWO1yoztXpYKkBZci/PXnq2JOpOV4wOGpSbP5j2fsocC43c
 kZ2e5nUOqcMOGzPCFjw2hBoWIU0vVqgc+gWAjs4diUi1MNFdQkLrFzb8lkxFw3bbIT
 alIcjtPxPzFcwK3BoC389NnoKZRPt8Qs6N+0XGG/u2KkpbB717SbmbPyDZ+2FxQ/mW
 WHPW97ulsarDQ==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 13290120CE3;
 Sun, 20 Nov 2022 13:30:44 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83tu2t4ie9.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Nov
 2022 19:58:54 +0200")
Message-ID: <jwv5yf94hdm.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
Date: Sun, 20 Nov 2022 13:30:41 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.039 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: Gregory Heytings <gregory@HIDDEN>, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> I'd have to investigate this, is it really worth the effort given that a 
>> proper fix has already been found?
> I'd like to hear Stefan say that this is fixed on his system as well.

As mentioned in my other message, it does fix it for me.

> And yes, I'd still be interested in understanding why asking for
> another foundry fixed or worked around the problem.

Haven't found that out yet.

>> > Yes.  We need to make sure the scoring will not now sometimes prefer the 
>> > medium weight where the regular weight exists and is a better match. 
>> > Not only should it not reject a legitimate font, but also not prefer 
>> > another font due to this change.  IOW, the change should ideally only 
>> > affect the cases where the 'medium' weight doesn't exist, and we 
>> > therefore prefer to use 'regular' rather than reject the family.
[...]
> Thanks, it's indeed the other cases that I worry about.  We had a lot of
> changes in this area which solved one problem only to create others.

BTW, when scoring fonts, I'd expect that the different weights get
turned into a number and we then look at the difference between the
requested number and the font's number.  This way `medium` and `normal`
won't be considered as "equal" but "almost equal" [ tho, to be honest,
I have no idea which of `regular`, `normal`, and `medium` is supposed to
be heavier or lighter.  The same problem can affect the width attribute
where many of the possible choices seem to use just arbitrarily
different names for the same thing.  ]


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 18:19:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 13:19:32 2022
Received: from localhost ([127.0.0.1]:44592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owoui-0006Co-GO
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:19:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owouf-0006Ca-Ty
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:19:31 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owouZ-0004CK-Ur; Sun, 20 Nov 2022 13:19:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=evrZ48I+k3MfwcMaG0az/Yu7V8X4VCM3YQuK+GfUjQs=; b=Rers/8rQyird
 rLXPkzb6y/wmc/ff4I7C3Z9M7nTk2UyiCjaYbwaswXDJYxGQYlai9Ms7domQOrUGUmpMEmClVuMud
 y1wSbM05KNG+xYnmyBbIAZXGxq/tEaJscCb9NSYLG4cLlcP9/ywWxUQCM39q3TPcTAyrcC1dYWz/U
 a/9FElEOzvS57u8Ux4O8qgymVtDIRx+MfQ1KT1SoMTiFPaGZX6zIwmyN0bRNllsyi54CWuJgDZkyt
 7kBysArVQ+7tT91vax2bvbZFvC8+j1UPEAZV6IOhXH+nkgJHoToyDtnAwByeVWmRird0Rvze30TA5
 HJ9tC0ib+yE8UkzRf7D6aA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owouZ-0002AY-E0; Sun, 20 Nov 2022 13:19:23 -0500
Date: Sun, 20 Nov 2022 20:19:33 +0200
Message-Id: <83sfid4hfu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <7cc9e037869a7335b0f1@HIDDEN> (message from Gregory
 Heytings on Sun, 20 Nov 2022 18:11:11 +0000)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
 <7cc9e037869a7335b0f1@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 20 Nov 2022 18:11:11 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
> 
> > No, the spec was -misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*, so 
> > any weight should be okay.  See Stefan's original recipe.
> 
> It's the spec of the default face, so its realization takes place before 
> the realization of the other one (DejaVu Sans), and the medium weight is 
> selected.

Yes, but why medium?  Is that the default (I don't think so)?

> > Thanks, it's indeed the other cases that I worry about.  We had a lot of 
> > changes in this area which solved one problem only to create others.
> 
> If bug fixes did not create other bugs, programming wouldn't be fun, isn't 
> it? ;-)

Of course.  I just think in this case we've had enough fun already.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 18:16:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 13:16:35 2022
Received: from localhost ([127.0.0.1]:44587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oworq-00068X-UQ
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:16:35 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:9842)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oworp-00068L-Ru
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:16:34 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 27C9A1000E1;
 Sun, 20 Nov 2022 13:16:28 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id A5D94100054;
 Sun, 20 Nov 2022 13:16:22 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668968182;
 bh=SevxzSdQIe77789QUazG1Da9vnD99sS7++PtQAOFQW8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=peIqNyEeIlZKin5T5t/MZzWkDmSPAO0aD3bkFc4xiASST3hFwQXGKFjGFdJ9BT4wS
 B5KwevDalGMYaHgmTlXyImiqiv+hXXF8qXxQm+UMAwSbgW+jLJ2VggjlUa+QyJ3KHz
 Pj5OgJXSYqgU2h2pnjIyYdtzvCTK/9Y3ufhvvwLj0EjTLkp0OBp7HUQ3AIrqZcZS+b
 BFm1EaW8V+tRzcSOINbYLph5NFQ/mmpwGaEKpw8PrONcBIvR0apYGS1icnhBTtxW12
 YzQxv0o6B7vo1H619Clx+kT3Clz1OdEor1Zznk3WYUgqgeTyKtZAuMPRbqOjHU5tfP
 7R91YpJ6YOQKA==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 7550C120074;
 Sun, 20 Nov 2022 13:16:22 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <7cc9e03786024fc72f3b@HIDDEN> (Gregory Heytings's message
 of "Sun, 20 Nov 2022 13:57:48 +0000")
Message-ID: <jwvbkp14hme.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN>
Date: Sun, 20 Nov 2022 13:16:21 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.040 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: Eli Zaretskii <eliz@HIDDEN>, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Stefan, could you please try the attached patch and see if it fixes your
> problem?  (It does here, with your recipe.)

It works for me, indeed!


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 18:11:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 13:11:16 2022
Received: from localhost ([127.0.0.1]:44562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owomh-0005z7-Nu
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:11:16 -0500
Received: from heytings.org ([95.142.160.155]:51744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1owome-0005yx-MK
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 13:11:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1668967871;
 bh=KO1FXhGUqP1AdRgmpVV9jKC/vx9ns6FSGqRicy18ZBc=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=xaL0ZF4DiRNZ5E41gBF34vt15whWWYEdTVpRaH0Duf/KbHb8UaqqwFQVuKm2ZwacA
 CRD+v/iZsls3FBE5VTT5Hl8a1THdyvtu93uIsEoIvx8enkdLKSFvWX4quEv0K2aI0E
 FbVpA2AGwGMB7vmdeZCayjJHhdf653LiHS9+zrmatDfXJnHuMWSfcImeHI2X7rGu7q
 Gq+SpkF2uG+l3tipGXKalFPzO6hwefHIUN5LB+3gOxc5tDqkfh/3mFawjn87lcLGTR
 S70kd5m5d+KCaU3ZRRhdqkf5jfiYzw2iwMfY0Xupcqk8TCnzK1bfgE4HA42BfElIyY
 3CNxMg2Bm27vw==
Date: Sun, 20 Nov 2022 18:11:11 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83tu2t4ie9.fsf@HIDDEN>
Message-ID: <7cc9e037869a7335b0f1@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN> <83tu2t4ie9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> Does this font have a 'regular' weight?  If it does, why didn't Emacs 
>>> choose the 'regular' variant?
>>
>> Because the spec specified that it should find a medium variant.  So 
>> regular variants are rejected (because of 65fd3ca84f).
>
> No, the spec was -misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*, so 
> any weight should be okay.  See Stefan's original recipe.
>

It's the spec of the default face, so its realization takes place before 
the realization of the other one (DejaVu Sans), and the medium weight is 
selected.  When Emacs tries to realize the DejaVu Sans font, it sees that 
DejaVu Sans does not have a medium weight, and it is rejected.

>> I'd have to investigate this, is it really worth the effort given that 
>> a proper fix has already been found?
>
> I'd like to hear Stefan say that this is fixed on his system as well. 
> And yes, I'd still be interested in understanding why asking for another 
> foundry fixed or worked around the problem.
>

Okay, I'll try to find out if I have time.

>
> Thanks, it's indeed the other cases that I worry about.  We had a lot of 
> changes in this area which solved one problem only to create others.
>

If bug fixes did not create other bugs, programming wouldn't be fun, isn't 
it? ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 17:58:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 12:58:52 2022
Received: from localhost ([127.0.0.1]:44525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owoai-0003Q0-7n
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 12:58:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owoah-0003Po-06
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 12:58:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owoab-0006Y5-HU; Sun, 20 Nov 2022 12:58:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=St28sz3LG2fp8cMMwTXDXKS0kz3FITPqZBOO8PtZET8=; b=sVgJ0IFCYN1e
 IOmY2UAO00Ul9DFufxjX+nIRi27t7ki9uncrFIcNHF+4wzD05XZBrsgdKXzOhhZ1cR4YfnrM3t3wS
 4kK2QItGpxpEDPbp8enN1NYzQ7Fn6pn3NDxO76sf6BPOvwoCGoHfh8k0tpyIJK2uWkj6qIh9njo19
 skOwPVpNzmtOmyS3fUbwaGLmIZsMKLV3qHN9bxF8gvyBpiv5DsEX3MdYKzIy4qtuXKxw4TtqjfijA
 lXZPTRPXuTP6/kEeevdK1fLnQeMNw07++hFG8NjpzFQ0Iq9gWU0UJv8N/khWkfEUzSDMdvVycCzgO
 2EKnREpMMm5CQHsKNM+tlQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owoaa-0005hj-VA; Sun, 20 Nov 2022 12:58:45 -0500
Date: Sun, 20 Nov 2022 19:58:54 +0200
Message-Id: <83tu2t4ie9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <7cc9e03786c281cffdd4@HIDDEN> (message from Gregory
 Heytings on Sun, 20 Nov 2022 17:43:23 +0000)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
 <7cc9e03786c281cffdd4@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 20 Nov 2022 17:43:23 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
> 
> > Does this font have a 'regular' weight?  If it does, why didn't Emacs 
> > choose the 'regular' variant?
> 
> Because the spec specified that it should find a medium variant.  So 
> regular variants are rejected (because of 65fd3ca84f).

No, the spec was -misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*, so any
weight should be okay.  See Stefan's original recipe.

> > In any case, I don't understand how asking for a specific foundry can 
> > work around the problem with weight.  If you do understand that, please 
> > tell the details.
> 
> I'd have to investigate this, is it really worth the effort given that a 
> proper fix has already been found?

I'd like to hear Stefan say that this is fixed on his system as well.  And
yes, I'd still be interested in understanding why asking for another foundry
fixed or worked around the problem.

> > Yes.  We need to make sure the scoring will not now sometimes prefer the 
> > medium weight where the regular weight exists and is a better match. 
> > Not only should it not reject a legitimate font, but also not prefer 
> > another font due to this change.  IOW, the change should ideally only 
> > affect the cases where the 'medium' weight doesn't exist, and we 
> > therefore prefer to use 'regular' rather than reject the family.
> >
> 
> I don't think the case you have in mind could happen in the scenario of 
> this bug or bug#57555 (if a regular weight exists and is a better match 
> the loop in font_find_for_lface will exit with that better match), but 
> indeed with some other call sequence this could perhaps happen.  I'll see 
> what I can do.

Thanks, it's indeed the other cases that I worry about.  We had a lot of
changes in this area which solved one problem only to create others.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 17:43:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 12:43:27 2022
Received: from localhost ([127.0.0.1]:44498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owoLm-0002zu-QL
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 12:43:27 -0500
Received: from heytings.org ([95.142.160.155]:51688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1owoLl-0002zl-0n
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 12:43:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1668966204;
 bh=744YgYffAQaoeCZqCCkV9YEZ6tOQ+DFQcOGzl8Hhz+I=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=Rnz+d6egmH+DHxgV32vtnT9vBF0Ke7IUURboCcA5JsXfSsAmhk0rVkt0X9p6f4j/w
 LLRj23JESgEaXn9rTLRrwKmEeD/knMtj5w3RcAfZugTv1Yzz+sR5acfUhv/BHLVIZ+
 gRbxFcesYCfYCUhg1GnUwejTcej0Al9RBabXs/8nFhx3H8z7gLhCzl5v5Mh77mKjGK
 IzxTiUltd9XU1MH772qVXhZAK1PELB4Nc7jVULys7uS8c4rp5Amy+m0SjWvLtPIDkR
 yYEYR069gjNQyjcW0JkllIgxDSCqUumaBttu60gB4hv7zkeRZ6leOtcpDQPv+Ul2a9
 GBz82jc5ANg9Q==
Date: Sun, 20 Nov 2022 17:43:23 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83zgcl4jra.fsf@HIDDEN>
Message-ID: <7cc9e03786c281cffdd4@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN> <83zgcl4jra.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso8859-1
>>
>> in which you see the 'medium' height.
>
> You mean weight, not height, right?
>

Yes, sorry for the typo.

>
> Does this font have a 'regular' weight?  If it does, why didn't Emacs 
> choose the 'regular' variant?
>

Because the spec specified that it should find a medium variant.  So 
regular variants are rejected (because of 65fd3ca84f).

>
> In any case, I don't understand how asking for a specific foundry can 
> work around the problem with weight.  If you do understand that, please 
> tell the details.
>

I'd have to investigate this, is it really worth the effort given that a 
proper fix has already been found?

>>> If we don't make font_score consistent with the change you made, we 
>>> will have other weird problems.  Maybe not in this particular case 
>>> (although I'm not sure even in this), but in others.
>>
>> Thanks, I think I see what you mean now.  I overlooked the fact that 
>> font_select_entity is called with attrs and not with work, so indeed 
>> font_score called in font_sort_entities might reject (?) a legitimate 
>> font.  Is that what you mean?
>
> Yes.  We need to make sure the scoring will not now sometimes prefer the 
> medium weight where the regular weight exists and is a better match. 
> Not only should it not reject a legitimate font, but also not prefer 
> another font due to this change.  IOW, the change should ideally only 
> affect the cases where the 'medium' weight doesn't exist, and we 
> therefore prefer to use 'regular' rather than reject the family.
>

I don't think the case you have in mind could happen in the scenario of 
this bug or bug#57555 (if a regular weight exists and is a better match 
the loop in font_find_for_lface will exit with that better match), but 
indeed with some other call sequence this could perhaps happen.  I'll see 
what I can do.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 17:29:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 12:29:30 2022
Received: from localhost ([127.0.0.1]:44478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owo8I-0002dn-5M
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 12:29:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owo8H-0002db-4G
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 12:29:29 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owo8B-00006Y-0V; Sun, 20 Nov 2022 12:29:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=NjlWi1U3RrKzqIqn5Hwiu0/JNlG2OZbLAEhmrUo2NcM=; b=ABgL06eVIxF/
 OPkPZ+JMMUHRVN9/cQByJmElI71BLLQQ9igodLfyXfl2+RcF1KVcag/n71OHizcmkMrvILePoBNx+
 ydBkeCcUonOg/XCHHCTCQz54QnCRvDIKKtsKPndrS+YmolGPBqVLDXDFJk1Wjt3BrmKw09i5yJk03
 zIxuMWve9YfIrOMIKYD9U5qnPgVZUkhSxl639+ZORGCLgjjiilnbnM5tY17jhPZGnTH1RYcXO02Xc
 YWZzO2Q9l8CQkksysX35Dr8yxCfdWyLFowy/Dj864PYtjNBcf7HcXM1Z0LUTDFhIVG6wW9rtap8O+
 MIe1jnUPBby6SL6goS8vBw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owo88-0007vO-Bu; Sun, 20 Nov 2022 12:29:22 -0500
Date: Sun, 20 Nov 2022 19:29:29 +0200
Message-Id: <83zgcl4jra.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <7cc9e03786754c9e0aaf@HIDDEN> (message from Gregory
 Heytings on Sun, 20 Nov 2022 16:59:00 +0000)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
 <7cc9e03786754c9e0aaf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 20 Nov 2022 16:59:00 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
> 
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59347#65
> >
> 
> Thanks.  What he describes there looks like a workaround more than a 
> solution to me.  The actual problem is that
> 
> -misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*
> 
> selects
> 
> -misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso8859-1
> 
> in which you see the 'medium' height.

You mean weight, not height, right?

Does this font have a 'regular' weight?  If it does, why didn't Emacs choose
the 'regular' variant?

In any case, I don't understand how asking for a specific foundry can work
around the problem with weight.  If you do understand that, please tell the
details.

> > If we don't make font_score consistent with the change you made, we will 
> > have other weird problems.  Maybe not in this particular case (although 
> > I'm not sure even in this), but in others.
> 
> Thanks, I think I see what you mean now.  I overlooked the fact that 
> font_select_entity is called with attrs and not with work, so indeed 
> font_score called in font_sort_entities might reject (?) a legitimate 
> font.  Is that what you mean?

Yes.  We need to make sure the scoring will not now sometimes prefer the
medium weight where the regular weight exists and is a better match.  Not
only should it not reject a legitimate font, but also not prefer another
font due to this change.  IOW, the change should ideally only affect the
cases where the 'medium' weight doesn't exist, and we therefore prefer to
use 'regular' rather than reject the family.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 16:59:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 11:59:05 2022
Received: from localhost ([127.0.0.1]:44404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owner-0001ki-94
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 11:59:05 -0500
Received: from heytings.org ([95.142.160.155]:51614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1owneo-0001kI-7z
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 11:59:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1668963540;
 bh=cJ2akB+UkpifIv8FT2xfeTYBBXlgSyjItaY9QDd+2iw=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=ZWxvoUGb1i8S8qOMEzHvPJmtLoc5AkyR6E0kLKspd/njaFA9ubPBkZ19hpMyFJ3xc
 J8C5/f1CTV2XNUkj1jj6h1DVpzYBlCz9verp7bxSgXFkgAoFjy8hSCPi0YAGgP7cmh
 8HCPgYhNmlQrabGAWfd28CSDZ5HyHgj6Ul/jWIkIHoX1L87aLBqAHDoHtz+Bn1zx1U
 TT8fD2sCj9+N+usQtHkwez/h3QwSl9NXAXE7l7feZut7QURQlzRevQOmOP6bqv1jNy
 46ZTLUsFgMmK+5HTBreQzS/TMCBDftTrxzZx2eQxJ+SbySQTEDCyvxj+24fJdVKZ/O
 Sg/lB3PEzcdLg==
Date: Sun, 20 Nov 2022 16:59:00 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <835yf962q4.fsf@HIDDEN>
Message-ID: <7cc9e03786754c9e0aaf@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN> <835yf962q4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> AFAIU, Stefan discovered that the problematic attribute was foundry, 
>>> and and your patch does nothing about foundry.
>>
>> I don't know how he reached that conclusion, but it's most likely not 
>> the cause of the problem.
>
> He described how he reached that conclusion in
>
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59347#65
>

Thanks.  What he describes there looks like a workaround more than a 
solution to me.  The actual problem is that

-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*

selects

-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso8859-1

in which you see the 'medium' height.

>
> If we don't make font_score consistent with the change you made, we will 
> have other weird problems.  Maybe not in this particular case (although 
> I'm not sure even in this), but in others.
>

Thanks, I think I see what you mean now.  I overlooked the fact that 
font_select_entity is called with attrs and not with work, so indeed 
font_score called in font_sort_entities might reject (?) a legitimate 
font.  Is that what you mean?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 15:54:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 10:54:30 2022
Received: from localhost ([127.0.0.1]:44354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owmeL-000087-Mo
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 10:54:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owmeH-00007q-BE
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 10:54:27 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owmeB-0003qG-9X; Sun, 20 Nov 2022 10:54:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=qwjqmHTK3IVGrlfvJbURfGlkFdZPNSXVqSd5tEFw23Q=; b=MVdb3jDSVHPX
 KQSJcF6mkrKMqH8u36NXRCJexAChW+UN49E1973LdWXNIN+NgubqeEx0b3RSZ1nbRPESo5+rORAMz
 CqXoEC0n/zSDtYOH/iVHsjg7Zjp6v8de9UVGdgvUQAnA6PJ//W1gp1TPlbUTynOGcr601fkgCdIxa
 wWy7GfYOxAywOtK/FMjLAarX2Q4SExQejJcxwJe67MeKt0/OkQijTmmzTA1XWlKXFpYbRhFW7wmjN
 J536l4jiemVbeDhdb2O164SpCQTZGEygMZstR91c19MP/Yzh0493ZZ13rscq3Zt6m+mKwtRaQz3Wn
 Eoh/UVp0WOIBPLLs72ZDuQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owmeA-00017N-N5; Sun, 20 Nov 2022 10:54:19 -0500
Date: Sun, 20 Nov 2022 17:54:27 +0200
Message-Id: <835yf962q4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <7cc9e0378678a092e6ee@HIDDEN> (message from Gregory
 Heytings on Sun, 20 Nov 2022 15:35:06 +0000)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
 <7cc9e0378678a092e6ee@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 20 Nov 2022 15:35:06 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
> 
> > I'd prefer to delay the discussion of this until after Stefan has time 
> > to see why DejaVu Sans is rejected in his cases and describe his 
> > findings.
> >
> > If you already did that, please describe your findings.
> 
> It's described in the commit message.  DejaVu Sans is rejected because the 
> font of the default face has a 'medium' weight, and DejaVu Sans (like many 
> other fonts) does not explicitly support that weight.

Stefan said that he tried to change the weight, but that had no effect on
the problem.  So maybe what you see on your system is a different issue.

> > AFAIU, Stefan discovered that the problematic attribute was foundry, and 
> > and your patch does nothing about foundry.
> 
> I don't know how he reached that conclusion, but it's most likely not the 
> cause of the problem.

He described how he reached that conclusion in

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59347#65



> > This is not enough, IMO: you need to make sure the scoring of candidates 
> > is still correct.  For example, if the weights of two candidates differ 
> > (normal vs medium), but sizes are the same or close, how will that 
> > compare with candidates whose weights are identical, but sizes differ? 
> > IOW, we need to reconsider how font_score scores the candidates.
> >
> 
> I don't understand your question.  The patch essentially adds an inner 
> loop in the loop of fond_find_for_lface, to make sure that when weight == 
> medium, we call font_list_entities two times, first with
> 
> (family, foundry, registry, adstyle, weight == medium)
> 
> and then (if the previous call did not succeed to find a matching font, 
> IOW, if it did not return nil) with
> 
> (family, foundry, registry, adstyle, weight == normal)
> 
> There is no scoring involved at that point, AFAIU.

If we don't make font_score consistent with the change you made, we will
have other weird problems.  Maybe not in this particular case (although I'm
not sure even in this), but in others.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 15:35:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 10:35:10 2022
Received: from localhost ([127.0.0.1]:44341 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owmLe-00085g-5f
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 10:35:10 -0500
Received: from heytings.org ([95.142.160.155]:51510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1owmLc-00085V-4t
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 10:35:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1668958507;
 bh=pm/71hcLoA90IjvKm63KJawZ6/MPaEgENXs7yC9IgZU=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=sleZlKAVdaeWKfiGMdLv+u1EVl98UuSwj3b0nn4Cbq3b4cR7iBuPoUyTRWhz38mHK
 Afhvoeewtu+PzQb7xqhFGJXsqpKhQnWdDJ3ckHWr5HLr/PuKAnosBt324d1lxg+ALW
 D3ImexURZ/JRhhKifBo3P9moX0BHM/u5MzpEdN/sqPIRuZuwKkpAyIKnhRTSedWBTG
 Ihm8OaS7g/QiuV29/jjeDNY+poPDOUnEr10hLSnl64+4pvHHeJzN+ohYaKfFQkrdTz
 qPGsPQA0PMWgZFkN530zSkOQM89Yjm7GThMxm7iuvNPohCNidu4vN2CoypjEv3DvmQ
 tQbthunmUNbzw==
Date: Sun, 20 Nov 2022 15:35:06 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83a64l65ai.fsf@HIDDEN>
Message-ID: <7cc9e0378678a092e6ee@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN> <83a64l65ai.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> I'd prefer to delay the discussion of this until after Stefan has time 
> to see why DejaVu Sans is rejected in his cases and describe his 
> findings.
>
> If you already did that, please describe your findings.
>

It's described in the commit message.  DejaVu Sans is rejected because the 
font of the default face has a 'medium' weight, and DejaVu Sans (like many 
other fonts) does not explicitly support that weight.  For many fonts (and 
for Emacs until recently), normal, regular and medium are the same weight.

>
> AFAIU, Stefan discovered that the problematic attribute was foundry, and 
> and your patch does nothing about foundry.
>

I don't know how he reached that conclusion, but it's most likely not the 
cause of the problem.

>
> It sounds like your patch is for another problem altogether.
>

I don't think so, at least my intention was to fix this bug (and also at 
least bug#57555, which is the same one).

>> +  /* If weight is "medium" in SPEC, also try "normal".  Fonts with an
>> +     explicit "medium" weight are much less common than fonts with an
>> +     explicit "normal" weight, and for a long time "medium" and
>> +     "normal" (a.k.a. "regular" a.k.a. "book") were synonymous in
>> +     Emacs.  See e.g. bug#59347 and bug#57555.  */
>> +  weight[0] = AREF (spec, FONT_WEIGHT_INDEX);
>> +  if (EQ (weight[0], Qmedium))
>> +    weight[1] = Qnormal, weight[2] = zero_vector;
>> +  else
>> +    weight[1] = zero_vector;
>
> This is not enough, IMO: you need to make sure the scoring of candidates 
> is still correct.  For example, if the weights of two candidates differ 
> (normal vs medium), but sizes are the same or close, how will that 
> compare with candidates whose weights are identical, but sizes differ? 
> IOW, we need to reconsider how font_score scores the candidates.
>

I don't understand your question.  The patch essentially adds an inner 
loop in the loop of fond_find_for_lface, to make sure that when weight == 
medium, we call font_list_entities two times, first with

(family, foundry, registry, adstyle, weight == medium)

and then (if the previous call did not succeed to find a matching font, 
IOW, if it did not return nil) with

(family, foundry, registry, adstyle, weight == normal)

There is no scoring involved at that point, AFAIU.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 14:59:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 09:59:20 2022
Received: from localhost ([127.0.0.1]:44312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owlmx-0007Bx-UI
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 09:59:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owlmu-0007Bi-I2
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 09:59:19 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owlmo-0000fl-Ht; Sun, 20 Nov 2022 09:59:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ifft2y+a2yyaT5c9JMCmMibjjJxLwe/dxN4OeZQDEPk=; b=EU3QrQAbDCy5
 0lOD+hhcFxGTOVkQKtMTYk0mvBNVCEZVLUJ+8qxmJNkC/U5+OEqp9fw5nLL5p0bnYqLKCCVI4RaYb
 la19ps2Qf+hc4QmBi3SpB3GIoDeyfN5d8+/OzGgSlxHQHewL66todgHj55fMtPaIhdmjK4/eB39td
 BOfKCA54i9/QzsFBVKUd/j1gBax9fyRT/mQXELYf/PhnzMMhYQXlwfxCOuwpJ9cNxKn2iSqjRIm4U
 P2cp7pw/fvCFZZeiJTOQwTFBGrpLpJnaE+3gGqw0BB08LlkHPgvbxfpKRhrWGdW+sNbvY/LbJnRtv
 S0CR1W75DeRenYQMCHB0yw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owlmX-0006Yj-1M; Sun, 20 Nov 2022 09:59:08 -0500
Date: Sun, 20 Nov 2022 16:59:01 +0200
Message-Id: <83a64l65ai.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <7cc9e03786024fc72f3b@HIDDEN> (message from Gregory
 Heytings on Sun, 20 Nov 2022 13:57:48 +0000)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
 <7cc9e03786024fc72f3b@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: monnier@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 20 Nov 2022 13:57:48 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: Eli Zaretskii <eliz@HIDDEN>, 59347 <at> debbugs.gnu.org
> 
> Stefan, could you please try the attached patch and see if it fixes your 
> problem?  (It does here, with your recipe.)
> 
> Eli, could you please review that patch?

I'd prefer to delay the discussion of this until after Stefan has time to
see why DejaVu Sans is rejected in his cases and describe his findings.

If you already did that, please describe your findings.  AFAIU, Stefan
discovered that the problematic attribute was foundry, and your patch does
nothing about foundry.  It sounds like your patch is for another problem
altogether.

A quick comment wrt the patch itself:

> +  /* If weight is "medium" in SPEC, also try "normal".  Fonts with an
> +     explicit "medium" weight are much less common than fonts with an
> +     explicit "normal" weight, and for a long time "medium" and
> +     "normal" (a.k.a. "regular" a.k.a. "book") were synonymous in
> +     Emacs.  See e.g. bug#59347 and bug#57555.  */
> +  weight[0] = AREF (spec, FONT_WEIGHT_INDEX);
> +  if (EQ (weight[0], Qmedium))
> +    weight[1] = Qnormal, weight[2] = zero_vector;
> +  else
> +    weight[1] = zero_vector;

This is not enough, IMO: you need to make sure the scoring of candidates is
still correct.  For example, if the weights of two candidates differ (normal
vs medium), but sizes are the same or close, how will that compare with
candidates whose weights are identical, but sizes differ?  IOW, we need to
reconsider how font_score scores the candidates.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 20 Nov 2022 13:57:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 08:57:53 2022
Received: from localhost ([127.0.0.1]:42711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owkpV-0005GJ-4R
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 08:57:53 -0500
Received: from heytings.org ([95.142.160.155]:51366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1owkpT-0005GB-0v
 for 59347 <at> debbugs.gnu.org; Sun, 20 Nov 2022 08:57:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1668952669;
 bh=lb6GmvWM7QKFOzj9cdilycWXZUIfcPRx6MW/zFj0cFM=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=gfzMHldAUhfw4NTiNp0W8RusK4CZb+DKvhlXoj4B2+Ez5OVF1OAm8a0XwMU75724o
 djhEh/yVKN/PwrZW0eT1OaHLEow2xZ42oKsRRDKD2+EyFZA3hPmKH2xMCXu60TTtyq
 ysB6N9th1/6MfXyCBQkgLuDftLtA/+sd803j3YAeBx88EXqrzmbD+/WDcuvgA/b5AH
 RkTBlZV+wdBgkveIwg6ydxBtM0BM0NYAfvqI74PDv6ClfHOjjmaT/napiCVHC1p0P0
 HX/Xgw5w4A/9HNTyrYOkCKtcNqog/8+y1tWkwDRVyA7uLxJ6Y9nMAdc0Xi1stc4Fe1
 z31OdYfdBWAeQ==
Date: Sun, 20 Nov 2022 13:57:48 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <834juu9aya.fsf@HIDDEN>
Message-ID: <7cc9e03786024fc72f3b@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> <834juu9aya.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="axwjubdfCc"
Content-ID: <7cc9e0378693f00ae85c@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: Eli Zaretskii <eliz@HIDDEN>, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--axwjubdfCc
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-ID: <7cc9e03786ae02be6287@HIDDEN>


Stefan, could you please try the attached patch and see if it fixes your 
problem?  (It does here, with your recipe.)

Eli, could you please review that patch?

Thanks.
--axwjubdfCc
Content-Type: text/x-diff; name=Also-try-normal-weight-when-searching-a-font-with-me.patch; charset=us-ascii
Content-Transfer-Encoding: base64
Content-ID: <7cc9e037868c13170294@HIDDEN>
Content-Disposition: attachment; filename=Also-try-normal-weight-when-searching-a-font-with-me.patch
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--axwjubdfCc--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 16:16:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 11:16:20 2022
Received: from localhost ([127.0.0.1]:41009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owQVw-0001jo-3v
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 11:16:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owQVr-0001jZ-Fp
 for 59347 <at> debbugs.gnu.org; Sat, 19 Nov 2022 11:16:19 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owQVm-0002Ce-60; Sat, 19 Nov 2022 11:16:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=LrtIdGU5N2le3Q/I7CUILr9R9xiQgwdM8aMgLO8HAqE=; b=T1+4EzChjQP0
 2RNkuNSCqMfliaQZKhINNV+m6Yhh7bi+0/0JRI4bkGHaQxqqg73notBZyfpx5xbpXAkKsx8Z1u3Sd
 MX7NqEf/qgC3AM6a+VjaYSIq+hID4bf0Kw+o1bvFnPU5gyfn1HPMcr23G4+pAaOcedQ2Nc7o2no2C
 eyLtblhaupY1MQk54KfQCA+Br8VIGy5dN2cojhliqkcDKFwC9+GZYbRTd/C3oZyIBk5LDG+PlaB2s
 rbVzTwuhrRiJHIOVJthm5egaWAQm1qdzECe2hbWSGU+7SNlciQ5WejEZJcCLfQvkGT5DIlI9CtoZX
 E9el3DcKTSj8hTOTdTe50A==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owQVk-0004TW-97; Sat, 19 Nov 2022 11:16:09 -0500
Date: Sat, 19 Nov 2022 18:16:13 +0200
Message-Id: <834juu9aya.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Sat, 19 Nov 2022 11:01:03 -0500)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN> 
 <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: 59347 <at> debbugs.gnu.org
> Date: Sat, 19 Nov 2022 11:01:03 -0500
> 
> >> PS: Things become really weird with:
> >> 
> >>     src/emacs -Q --eval '(progn (custom-set-faces `(variable-pitch ((t
> >> (:family "DejaVu Sans" :foundry "*"))))) (add-to-list `default-frame-alist
> >> `(font . "-*-fixed-*-*-semicondensed-*-13-*-*-*-*-*-*-*"))
> >> (font-lock-mode -1) (insert (propertize "hello" `face `variable-pitch) "
> >> world"))'
> >> 
> >> where "hello" ends up with the following font:
> >> 
> >>     ftcrhb:-urw-Century Schoolbook L-medium-normal-normal-*-13-*-*-*-*-0-iso10646-1
> >
> > Why is this weird?
> 
> To me this font comes literally out of nowhere.

AFAIR, when we fail to find fonts that match the spec, we
progressively set more and more attributes to nil, so that in the end
we have all of them nil, and then the first font that matches the size
is fine.

> AFAICT the only relevant face specifications at play here are the two
> pieces of font-info in the recipe (and `face-font-family-alternatives`
> but this doesn't seem to play any role).

The other attributes come from the default face's font, I think.

> So, how do we end up with the `Century Schoolbook L` family (rather
> than either `fixed` or `DejaVu Sans` both of such seem just as
> qualified)?

I think if you step through the code, you will see it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 16:01:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 11:01:18 2022
Received: from localhost ([127.0.0.1]:41003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owQHO-0001P0-H0
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 11:01:18 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:63487)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1owQHL-0001Om-UF
 for 59347 <at> debbugs.gnu.org; Sat, 19 Nov 2022 11:01:17 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 63B2A44115C;
 Sat, 19 Nov 2022 11:01:10 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id DB873440B09;
 Sat, 19 Nov 2022 11:01:04 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668873664;
 bh=bg3cP6ry/qSBEZVZXKhi2uFWx4Osmut886vSWsCgoVY=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=OG2SYlYQJYRTq3cVAUudVBWI1o4C+HVF8ZKwJMiK542vMS6R+LMQGFUCPUubOIblY
 3F6XFnvZJzmV9YOCcC1z3uL+Ri1aONVRpKWRl8uaVR1gaia7mQgXI/XJ8I3uOQTs2V
 E2NPT0EKgZ6LkifXBqAYkM1z0AEgqxt3AYcF4HJWIKJq1NGw5EL/ozgli7rETkgd8g
 rNpo3ZN9mlFnWOVMN5TAeka2MbO7r0g4XWagHI+PXP15bUtJE/55cS4bUdZ5Bn3DgY
 oVwJFvjjpI26FYjYekbLHibxNvYsXYjqkKoiDV6X9S5mez8JL6bo3Avw7JvNjEifTN
 jPSEewfnbrhlw==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id B912C1205CC;
 Sat, 19 Nov 2022 11:01:04 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <838rk77yfo.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 19 Nov
 2022 17:31:55 +0200")
Message-ID: <jwvh6yv6j16.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> <838rk77yfo.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 11:01:03 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.041 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> But I'd be happier if you could step through the code and verified
> that indeed the foundry mismatch is what causes us to reject DejaVu
> Sans, and that after we reject it, we never try it with foundry set to
> nil in the font-spec.  Perhaps we first set family to nil and only
> after that set foundry to nil?

I'll try that, tho I haven't looked at that code in quite a while, so
it'll take some time for me to figure out how&where to look.

>> PS: Things become really weird with:
>> 
>>     src/emacs -Q --eval '(progn (custom-set-faces `(variable-pitch ((t
>> (:family "DejaVu Sans" :foundry "*"))))) (add-to-list `default-frame-alist
>> `(font . "-*-fixed-*-*-semicondensed-*-13-*-*-*-*-*-*-*"))
>> (font-lock-mode -1) (insert (propertize "hello" `face `variable-pitch) "
>> world"))'
>> 
>> where "hello" ends up with the following font:
>> 
>>     ftcrhb:-urw-Century Schoolbook L-medium-normal-normal-*-13-*-*-*-*-0-iso10646-1
>
> Why is this weird?

To me this font comes literally out of nowhere.

AFAICT the only relevant face specifications at play here are the two
pieces of font-info in the recipe (and `face-font-family-alternatives`
but this doesn't seem to play any role).

So, how do we end up with the `Century Schoolbook L` family (rather
than either `fixed` or `DejaVu Sans` both of such seem just as
qualified)?

And if `urw` matches `*`, then why doesn't `PfEd` match it as well?


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 15:32:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 10:32:01 2022
Received: from localhost ([127.0.0.1]:40970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owPp3-0000f1-9j
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 10:32:01 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owPoz-0000ei-Av
 for 59347 <at> debbugs.gnu.org; Sat, 19 Nov 2022 10:31:59 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owPot-0005BG-RI; Sat, 19 Nov 2022 10:31:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=u3N7WX9zUGdtllOP74uBBA+ud2ZEG4o7O98ecKu2zP4=; b=qN9MQK5OY480
 kBxmiY4Gx55tWQttpW0FmM7eh4bGOeMrMGZGFnbWj3v/rAcej+rpQwHPc2PExqd7yQYxrVEiY9iAW
 qfOcC26TXVwOE2JLeLrwH5/Mqx4dplmH+uzRRIhX6wKx/4JIdH9UDu0BPK/1kbcVTLSVHI3sj6fjP
 0EY8W2sHFNqlJ/X30NuxABCc0D0jPvqE7UMsj5fgG6ZoQ5kNhBmx1OJZKP7pa2UsKm12NjnXjiybi
 l8EDOcPvmjCb/ckLuSpnPUEAXTKFCrH/1NPeJS4K0mZn0/zThtdK/35n5RxL66f8J0d6sc2y3iCT7
 Gt+MTma3WO5qnO45i4MB/w==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owPot-0002TV-3g; Sat, 19 Nov 2022 10:31:51 -0500
Date: Sat, 19 Nov 2022 17:31:55 +0200
Message-Id: <838rk77yfo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwvfsef81uc.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Sat, 19 Nov 2022 09:55:29 -0500)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
 <jwvfsef81uc.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: 59347 <at> debbugs.gnu.org
> Date: Sat, 19 Nov 2022 09:55:29 -0500
> 
> > Then Emacs does here what we intended it to do: it tries to match the
> > variable-pitch font to the attributes of the default font.  And DejaVu
> > Sans fails that test on your system, because DejaVu Sans doesn't have
> > a variant with the font attributes that are present in misc-fixed font
> > you use as the default face's font.
> 
> Then maybe the problem is the following: I do not consider
> `-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*` to include "please
> use non-anti-aliased fonts", contrary to the `-fn monospace:antialias=0`
> of bug#37473?

Antialias attribute is just one of the attributes.  The problem is
much larger and more general than just that single attribute.

> Oh wait... I can recover the behavior I want by selecting
> 
>     :family "DejaVu Sans" :foundry "PfEd"
> 
> so the problem is the foundry info.  Changing the recipe to use
> 
>     -*-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*
> 
> doesn't help, OTOH (IOW Emacs insists on preserving the foundry even if
> I did not explicitly request any particular foundry).
> 
> Does it make sense to preserve the `:foundry` attribute when the
> `:family` is different?

I don't know; it might be.

> Is there some way to say `:foundry any` in order to override the
> default's foundry but without having to choose a particular foundry?

We will need to set it to nil where the font spec is passed to
font-selection functions, I guess.

But I'd be happier if you could step through the code and verified
that indeed the foundry mismatch is what causes us to reject DejaVu
Sans, and that after we reject it, we never try it with foundry set to
nil in the font-spec.  Perhaps we first set family to nil and only
after that set foundry to nil?

If this is indeed what happens, I'm okay with adding a variable that
could control whether we try to adhere to foundry in font selection,
and letting people try with it on and off.

Alternatively, why not document that including foundry in the font
spec is the solution to such problems?

> PS: Things become really weird with:
> 
>     src/emacs -Q --eval '(progn (custom-set-faces `(variable-pitch ((t (:family "DejaVu Sans" :foundry "*"))))) (add-to-list `default-frame-alist `(font . "-*-fixed-*-*-semicondensed-*-13-*-*-*-*-*-*-*")) (font-lock-mode -1) (insert (propertize "hello" `face `variable-pitch) " world"))'
> 
> where "hello" ends up with the following font:
> 
>     ftcrhb:-urw-Century Schoolbook L-medium-normal-normal-*-13-*-*-*-*-0-iso10646-1

Why is this weird?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 14:55:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 09:55:46 2022
Received: from localhost ([127.0.0.1]:40700 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owPFy-00086z-5L
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 09:55:46 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:23585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1owPFs-00080d-DU
 for 59347 <at> debbugs.gnu.org; Sat, 19 Nov 2022 09:55:44 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id ED1EA1000F2;
 Sat, 19 Nov 2022 09:55:34 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 300AF100099;
 Sat, 19 Nov 2022 09:55:33 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668869733;
 bh=BR4kn0jrN60aVCkZojlJg9FAxQ5mLehkXSC5OarQAKQ=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=f6oZOW9TX6i10qGBY0BuBgwAtZdrDFg5dEpcHlli68vLEqwR4MrYcqmuCQERZtLGv
 F3j3SjcOqW2bZErpAB8B29ivJ4dqybmRX678HngwxIPW+VAGknCghKWP5+csGIzVvP
 hVbH7rvRn5/0AFpI/yFK19ivKoQOdZLnIirY/g+ha550TSVhJUAq7YFcl+IRLCJAU0
 IC6WYF95OhQ9/SmZ3AIuNs/++0LRCxp+Sz/ryjbH/7xdjwBWa46e17WuoVogZxzaIB
 XTne86GBReRnWPsd7VIMKoI/lCtovL1fTjarVAAlQMfE2Es5IHm9Xo1FYBJS7x1PUC
 bamWbcU4etq1A==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id E6DC4120415;
 Sat, 19 Nov 2022 09:55:32 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83cz9j9zyu.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 19 Nov
 2022 09:15:53 +0200")
Message-ID: <jwvfsef81uc.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> <83cz9j9zyu.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 09:55:29 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.020 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Then Emacs does here what we intended it to do: it tries to match the
> variable-pitch font to the attributes of the default font.  And DejaVu
> Sans fails that test on your system, because DejaVu Sans doesn't have
> a variant with the font attributes that are present in misc-fixed font
> you use as the default face's font.

Then maybe the problem is the following: I do not consider
`-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*` to include "please
use non-anti-aliased fonts", contrary to the `-fn monospace:antialias=0`
of bug#37473?

I'd actually be happier if Emacs could find an anti-aliased version
of misc-fixed :-)

The only part I could see that "collides" with "DejaVu Sans" is the
"semicondensed" part, but if I change my recipe to add `:width normal`,
I *still* don't get to see my variable-pitch text in DejaVu Sans.

Oh wait... I can recover the behavior I want by selecting

    :family "DejaVu Sans" :foundry "PfEd"

so the problem is the foundry info.  Changing the recipe to use

    -*-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*

doesn't help, OTOH (IOW Emacs insists on preserving the foundry even if
I did not explicitly request any particular foundry).

Does it make sense to preserve the `:foundry` attribute when the
`:family` is different?  I always thought of `:foundry` as a weird
detail which only makes sense when selecting a specific implementation
of a given `:family`.  In my experience the foundry is very rarely
used/exposed (e.g., I had no idea what was the foundry to use for
`DejaVu Sans` and I have no idea what "PfEd" means (but my web search
suggests it's not really a "foundry")), and it's rare to have
several foundries for the same font family.

Is there some way to say `:foundry any` in order to override the
default's foundry but without having to choose a particular foundry?


        Stefan


PS: Things become really weird with:

    src/emacs -Q --eval '(progn (custom-set-faces `(variable-pitch ((t (:family "DejaVu Sans" :foundry "*"))))) (add-to-list `default-frame-alist `(font . "-*-fixed-*-*-semicondensed-*-13-*-*-*-*-*-*-*")) (font-lock-mode -1) (insert (propertize "hello" `face `variable-pitch) " world"))'

where "hello" ends up with the following font:

    ftcrhb:-urw-Century Schoolbook L-medium-normal-normal-*-13-*-*-*-*-0-iso10646-1





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 14:18:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 09:18:09 2022
Received: from localhost ([127.0.0.1]:39364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owOfY-0006sC-QZ
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 09:18:09 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:37676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1owOfW-0006ri-UO
 for 59347 <at> debbugs.gnu.org; Sat, 19 Nov 2022 09:18:07 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id A6A16440C48;
 Sat, 19 Nov 2022 09:18:01 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 8A3A3440B7A;
 Sat, 19 Nov 2022 09:18:00 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668867480;
 bh=MHGQ2u2ByT3pNjsoGbgXN00mvqqxmg13vkwuYc0reI8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=lSrcnlRN+suZfCANwRlH/DcJ9OuyIJ6XYmrbs2pmHM6PcirMxb78KtCedPvzERFZN
 /33WaXensFl2IU+HAzbBBuKClvL3HUaaM+cHeUmST1gjtp0zGr4s5QN5wsKZn5JJol
 GQHXa6HUK/ncrbMOnmnaeHTrcuTY9kyIpvjr+EkzRQLm7jaiLbMj0eq0MdKB91qkf4
 hJQDTQkEH88h5otLPZ2PuWKIsTXPhP5XnCBls39JCPY81zaaykEESf3FrmMX4oKoi0
 hw8BNRtWelYDIl3EpMlita5eoKRqhnrJpafggwnd0IRa1HreG2PEYlbtOstvUe6J5a
 ihmMB2f/eFQTg==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 69030120A6F;
 Sat, 19 Nov 2022 09:18:00 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <87cz9jbhzo.fsf@HIDDEN> (Po Lu's message of "Sat, 19 Nov 2022
 14:01:15 +0800")
Message-ID: <jwvleo781vv.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <877czrdcc5.fsf@HIDDEN>
 <jwvedtzaiwe.fsf-monnier+emacs@HIDDEN> <87r0xzblvx.fsf@HIDDEN>
 <87cz9jbhzo.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 09:17:59 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.015 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu [2022-11-19 14:01:15] wrote:
> Would you please see whether or not it worked?

No, the `:family` setting is still ignored in my recipe.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 07:21:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 02:21:55 2022
Received: from localhost ([127.0.0.1]:38877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owIAl-0006V4-04
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 02:21:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owIAi-0006Ur-AL
 for 59347 <at> debbugs.gnu.org; Sat, 19 Nov 2022 02:21:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owIAc-0001By-RH; Sat, 19 Nov 2022 02:21:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=x13O+Stg9QLLgkFnRFOTJyKNAzRJvqwVrWDdWVi5vqw=; b=U+Pcv4P93Ze16f78O1JK
 evGydsQQ6CapVZZ79APMuUZiFeRfa2O3Hq2o2qv0gtWd0u13VErLex/Ko5C7kDjrgRJE3Vy0xZuxx
 y72TTH6yHtUbpqpX1MVX6qa1+/tDMdkQaNCC3h9S+DVyZOd6IEMNzHnIlynKjdV3GsaPWHcC1sRk1
 qz9z/LYoif40zjkzhV3EG8/6+vIGVQdsgwAdYSRo1zRONOyDXkpbD8b8nbjmLR+ajaRQ/uQDp0wEg
 z5Dl7OXHtn0uLdmcTPprXpzZv9hmVraPSk1VVCnzj4j68cbTO4hmHZLCHtfalMGY2pLpp254oTqj0
 U7LomI5THggtPQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owIAc-0006FC-Ak; Sat, 19 Nov 2022 02:21:46 -0500
Date: Sat, 19 Nov 2022 09:21:52 +0200
Message-Id: <83bkp39zov.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwvv8nc9e0l.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Fri, 18 Nov 2022 16:09:46 -0500)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <83k03s9o0z.fsf@HIDDEN>
 <BB6A77BE-B330-4242-8B70-F162427C819F@HIDDEN>
 <7B856D61-9CA6-4068-A9DB-FAE31258F114@HIDDEN>
 <jwvv8nc9e0l.fsf-monnier+emacs@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: casouri@HIDDEN, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  59347 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 16:09:46 -0500
> 
> >> So my guess is that if the face uses the :family attribute, it
> >> inherits the weight from default, and if Emacs cannot find that
> >> weight in that font, it falls back to some other font.
> 
> But my `font` pattern doesn't specify a "weight".

Then it's some other attribute.

> >> Personally I think falling back to the same font but different weight
> >> is probably less confusing.
> 
> Ignoring a "bold" setting would probably surprise/disappoint users just
> as often.

Exactly.

> > Basically the culprit in Stefan’s recipe is probably semicondensed
> > rather than Dejavu.
> 
> Could be, indeed.  I don't actually care about the width of the font
> when I request `DejaVu Sans`.  This said, if I use
> 
>     (:family "DejaVu Sans" :width normal)
> 
> I still don't get `DejaVu Sans` but I get a "normal" (hence wider)
> misc-fixed instead :-(

The basic problem here is that we don't know which attributes to
ignore and which to enforce, first, because different users have
different preferences and expectations, and second, because the same
font selection routines are involved in many different use cases.  All
the attempts to resolve these issues till now boiled down to
arbitrarily ignoring some or even all attributes of the font whose
face is being modified by setting a different font, and that can never
be TRT.  If we can find a reasonable way to decide which attributes of
a font are important and which aren't, or maybe lax some of the
criteria for matching fonts to a font spec, that could solve at least
some of the problems.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 07:16:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 02:16:02 2022
Received: from localhost ([127.0.0.1]:38872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owI54-0006MP-0Z
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 02:16:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1owI4z-0006M6-PP
 for 59347 <at> debbugs.gnu.org; Sat, 19 Nov 2022 02:16:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owI4s-0008MM-No; Sat, 19 Nov 2022 02:15:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=gEe1bZneQDEwJhciFd2XpCDwqNvnIyKNym3g+AHCO7A=; b=V/dGhI2UtqU+
 AY+LjjylqiQVvNHEHEuvGOjStVOOQLmtrd53F4SBbuKoZ4p5addwj8rWpO2tNzUkRazYoxoP5RMDg
 Bu3HhX0/TREPHA9npNvty8HV6kC14CWVWQRvdf/1Jxfh4hbwi7DjCYDRcxgRygJL/WbrPcRgeysfp
 h1qUiX/Fv17mdVAcbdRELjQo3zAhrUImjcSOkacsBeZZIbfwe6ks04WdMK5W8ctbELo3vCu8mQMJU
 DeUWYb/PnUNdS1yXnH6VdaKSs4SH1ts0EUK8edLsnc/oBRuJHutDqwhzHXXvHE6ju0zGItsLi0Zeg
 hNzJvOZ7cWTaEzQTnhZ1/g==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1owI4p-0006Mf-J6; Sat, 19 Nov 2022 02:15:48 -0500
Date: Sat, 19 Nov 2022 09:15:53 +0200
Message-Id: <83cz9j9zyu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Fri, 18 Nov 2022 15:55:43 -0500)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
 <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: 59347 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 15:55:43 -0500
> 
> `git bisect` says:
> 
>     6b1ed2f2c99a1c2da56c5f434570c438cad6576d is the first bad commit
>     commit 6b1ed2f2c99a1c2da56c5f434570c438cad6576d
>     Author: Eli Zaretskii <eliz@HIDDEN>
>     Date:   Sat Aug 27 13:13:48 2022 +0300
>     
>         Fix antialias face attribute when text is scaled

Then Emacs does here what we intended it to do: it tries to match the
variable-pitch font to the attributes of the default font.  And DejaVu
Sans fails that test on your system, because DejaVu Sans doesn't have
a variant with the font attributes that are present in misc-fixed font
you use as the default face's font.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 06:01:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 19 01:01:40 2022
Received: from localhost ([127.0.0.1]:38801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owGv6-0004Lm-4L
	for submit <at> debbugs.gnu.org; Sat, 19 Nov 2022 01:01:40 -0500
Received: from sonic312-25.consmr.mail.ne1.yahoo.com ([66.163.191.206]:39248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1owGv2-0004LO-FV
 for 59347 <at> debbugs.gnu.org; Sat, 19 Nov 2022 01:01:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668837690; bh=H7Lmf79QjUSFMHd9SbHR0VXnqD/HdWdmH1TxoNit6Zs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=Oz9UvQXpqeEXrUscrAs5/A4mc2mPidqce6fYm50bnpHOGgU8jzMWEVsnnKCHALkYLX+yKmIlcfgHzy7hjFwyXLwPknn4uKouBy91dKE1pdvhylTmnXvjyB3SCupqPUVYdiZts172OtSjfQ8KkdUCT6hUwwuzytquMbdYgMGm6eo33C9Vu3SWJEC29lwvoI/bXPZolfyOxW4dQqwnCajZWfQUpmWHxc8H8eExXolAG93Cc1RnrVExEUVFVYY91EdZx1h1ZK3amXDG19NGun70rsheYvwLL+8HrevFhg0/yQRuYgLwvaASv1f1kAtzd7YMVb8K+6CYzODe9blyLxG+bw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668837690; bh=VBBAENTkljBXAidQ4I8cIzA8k3GTFbNk1Tj580xrgqf=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=kIjes73/3VrQdmMgy4kkoCRBBtH7YqIYyo4LZqpZU4efHBoFsMtkEAXLWSkN5HAZPryJKyR83jEnqH34lsw9XBqRk7Gx3VPMe+BCTlHhdBe9rfCPynOaO3v02g/DmNS+J3kEna1kQcA2hei47YU/cX7o4nFSx4uYzwluT8Nob4PfyfMosEQfs1aLBM1lsv6kcupLA6FVDwH16npSgMdlDsJhBj9V/g5EjLNIDKsys3Kli/wODVBOgq3zVaIdyc4CApkRb4sHJo+W6iBnDLmrk6Jir2ZniH1L+z/Bfd/vKtVU3yWYodpjC8MulokSCVEUpt2iYl7It76KTsYbcfT1lw==
X-YMail-OSG: re_X2doVM1mXYgwcYknTz6jO.KdiyzCwOnx3EFu24CCyaDXoWMoiZRfWWbWADth
 j4q7Jb.rWBEFcM0b7aAH_PK46oCsDejh1h8khNWp1YijEakSypvvNykxj5W5KKb_WKQVgqa4gfZG
 YpPO1vg9Ihpuhh3VlxUG7BWjDR6FBoz_GcdltofSJXccVnbEy7l3xNwwoQWqiYjbu4rY43NixC62
 MlMWp5Png6LWFaiJ.bexLxSp8y.2.rMRp5Mg76YwPtzXF2v5C2Gbqvip_yDt.h11Qj1jp2_wqRCI
 r_B60Xrsv4F8PphOefyGk8JhQovNQ68SIu5wWyJXwu2DmrvIFVc1foYUWUFqHDwjNEVVH2M.IEq0
 33CSKUsZKkx_UJrjCosHB4OIgUhW0N6GyhkjJobRHM6mCFILA7vLxZD6c.3Q6d95Nn7Q4xpWHyre
 W9o89z_woIlt1AbFyeHfSwBuwjjnVw1L7WL9Miu1xS5wc1ikRRESvQRC2hvDv5SQQvnuZFfa1OsY
 NWcKtkZ0ARwBDNTjAngxD0TxPRiwkBB4XNChgFfmiUGSBLSNJvufx1d8YwWXRoPLJrEMgLxijSDW
 lKyQQan1ZAnedUbcpInEisAKAH8rq.vvLy288QR0WPYK4xt8Za1GyiZgY.jeczNXJMbUxsQGAI0b
 w9nBQKbS.pS.ub8v4Z.7LV7IFLrEIPpICdyevOi7hDwAU1DCCtim.cRMGQ6lLjBI3wzGWHwBgzXr
 qbhTcJuqm_ql4OtV7Kw5uYK1RmMdpofLtezJvZMNtUALPABG6BaeGrw1yfhKDooNjAOylUwdN.Sa
 H9F7lv9ACDQPdx0Ebr.s35Oaf1oier4IGH5ax43OPyLbj55MHCCFThFf7MOEzWyZ34ts94S.Yrwr
 CRiJqeUuxKuDjD3upZCLu3o.KHtayCRfFywhKQ41bfYA76J6kogfz7zwK12txsXSjC0r1ytmsES2
 dkCktNsC0G2GGJzVwqwGokB.Gy4cU.NGXxKxmd9oSiEztVMWks9VigPfBTgllbCz074.Hg94RmnD
 0nTCdMeYD_x5W3J.JheCSInB7loHoe4mEeRwXgF2QTTmIBWgWkEibgMIssM6VO_RbnCsfSGFtb4i
 IdQMmLhyrJ0d2Cw9Kn5gazlyV1Het1LBx0Mv4G9TbhEmDViA.XwhAy0V4mVjc6jJnUfLIWDbGLtY
 6X9B3rJVMsVE8eAwZGXpHQuMgb3xrvV2OW8ea6SGA_oNftEPxmql9ynKTcnhrCPPJKLhslm3Ti9z
 7PdwSkppW_P9wPZWTcS3ZkMJO3dsoJ9EEeW_jJkRrFkdQRYpmrWeSbX6qBUi.PM0dsmDxr8v6Yvy
 5pEVUc9cYxw4c5amxa58wID8yQiY6.X8Xu6TeiV9tj9KMnYHzktKDwXeF.Ta_.Ntyxcj81WwTNFD
 a1NTi1pwOccMdgL_uZMnyk0l.qt0bHVE4Xh3n2qkkCTMFZ0dO7tsL0YChzu25yGe54O0MB6F5AWG
 AJuBAxVd5G6zRufHwyl3j4eFjy.vVWcedBU3XN0chDTBSkZUKsX5H.g_J2CytJ_OrilrcWZmexal
 m3TDv0w0au2simRawSpbSNkDoOSmpGxpbVydORWnFyy8OyX8yHbFVbwsnAE3vusXzpw00IZwEsbm
 g_7fIrU4QDdHdFpxNcqlduGq4ligRSZci0_nBkf_mdAQrHIJzDFZTi4xpWsoTeto9jCNv57h6ImS
 y0Ybybq5xFbEAg1nYMHqQ9JkP.MsBh2VKSKktQzhbwYTnmgCjTeeyJaKZzNXuuHPawVQfqkiPj49
 geFeVIWz_s__h3HhhHJDCMzL3DSHzXQLpMn7jsbhixQGdivkgtI0KekFXtyJB2T8GdukebErauCR
 lnQnsP9G1VVHdaOQO1TpJO8i3KBwtT8pUmd3yecv67zKjjRkChVJgj9RpgjxjGJBPSVddV_jVpiz
 Tf4XHP83tmZVB1.4rb7QkM6CABqFrdXlLBaLPomz2GZFrllye3baq6wh3po.zMamtws2K5it924J
 0UyMjfYUUn6bMl0sosyxOA618zHg1poQkTwXobsTtjxDP0ZwWxIdFCFM8IbBYZTPA9HG.Nh1Cmla
 4xAEHg85I4q.1fi6FUCFnEzlutN399uLLGc18zXskadKUuYjy1.ApSoEj5ExHYPRs2He2kvHVz80
 OPQaWW0fVL.FBBzn3tARXO06vorDmBByjS.1CoNgWB9JMaYWjONLcHFLkNQaPtPBcBkXGyNXu_Mv
 67dEynBlgkBDmeMt0NCxNjjvO8djf3Dy7PyG.u2I9tBsviUo50eLWigWMsmM5Xjr2KHOE
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Sat, 19 Nov 2022 06:01:30 +0000
Received: by hermes--production-sg3-6c8895b545-lgf2t (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID aa8d2cb9ec3e8bf65c536bea376e234b; 
 Sat, 19 Nov 2022 06:01:23 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <87r0xzblvx.fsf@HIDDEN> (Po Lu's message of "Sat, 19 Nov 2022
 12:37:06 +0800")
References: <jwvv8ncdflw.fsf@HIDDEN> <877czrdcc5.fsf@HIDDEN>
 <jwvedtzaiwe.fsf-monnier+emacs@HIDDEN> <87r0xzblvx.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 14:01:15 +0800
Message-ID: <87cz9jbhzo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 550
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

> Stefan Monnier <monnier@HIDDEN> writes:
>
>>> What happens if you revert xsettings.c to the state it was on the 1st of
>>> October?
>>
>> I used `master` and then
>>
>>     git checkout 568920a5b703e80c43e1b6f31778ea5776218a1e -- src/xsettings.c
>>
>> But the result behaves like `master` w.r.t to this problem (it does fix
>> the minibuffer-only frame's font bug#59371, OTOH).
>>
>>
>>         Stefan
>
> Thanks.  I should have a fix installed shortly.

Would you please see whether or not it worked?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 04:37:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 23:37:26 2022
Received: from localhost ([127.0.0.1]:38672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owFba-00024u-7y
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 23:37:26 -0500
Received: from sonic316-22.consmr.mail.ne1.yahoo.com ([66.163.187.148]:40991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1owFbY-00024e-5u
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 23:37:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668832638; bh=kb3AhaTOLhX3sQeyS6PAW2wnT7zY8CKfchdhim9/ksQ=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=RFQm/kWzjO3JWLBpJYN98kYPKyQKVBHx3Rx9/WaqP9DQp3TziI3k60FueOW8HOrzcI+5i6D6U0srZWyn+RAK0SSNqi8CdofLWLQMg1YCNperfL44eIXf2djP3JwSZ0jsNgEjhd21+FfATcIoQO50xudSOyZcm4JIoCmkY1UCwJFvMLITmE/cfEzGAK6WQkrmxwbNi5s6z8L6WMBeZdAP6vvhcSz+XrnTSSNopf3DrrgAmGsxfQXDsJHxV2lrWPxWgSrioyYz8t/2Ye7PaZAie5XYEyME+RnP3XYcjfL0C09l7R95k7FRRloSegdzo+R7Q8yK1zL0UhQ5a2RoMJagig==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668832638; bh=Um04X0LziAkcx4dr41UQsNwz0CL7AUnGGHwtZROYnhv=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=VX9dN110mmAyGa+/MNhkGJgP9taRVDCr5AaNWz3ALvlb0KApSvjEiENUULia0NY6OPCYEJYrptMlLVRRwEeN3CQCNs3JYn1HsfRyHOz5Jk6cJlyCV0yyXEga7lDILNGmo4A1Ur1rU+vR6Os/l7R8JS3JPTFEgh4wf1y5UzofdSVR/NQClg+OPGMH/oL4KSemjAVHVXCmP6/9/n7hu2mz4+2IbxbLqqfpIcMKivVdky+bEH2SCb4ug0t3egPj8l5k5XBDIyq1yaKd6Y67Nu9cevlTRMeJ0Sczk16kr8KChzmvs8KCEASSllxnSRMMsqYTpHCMCU8nif1eFdE32wLuHg==
X-YMail-OSG: cHho_6EVM1lgORg3IguSx2om8dDB6d7loVjU.Ocvh8UKXG9t7Ol2znYl4tESbaI
 h8CR_GzONX.QNh_qPoUjxlnl82UlZTD98xS8uOD5D8MWso7_dyokLVXgbp.HUmfSHDogo9mRbWna
 Rys6qDtw4QAq7Fk18ts7YYDYqK5ua8suGKgTUkiE3BZB9_Ic8Dmc9Kg4n5YhQMRnkhFk0FPc09bp
 tTqXJRE07CIpM8RePTmwd72HNlHn5vv7ZYPl5w5AvFbN.5BS1B8Ti19rSpDscjpqPo4B5TI0iWZu
 pBsyYITsTGhZ4Dbv7TtPTNVI4LA0yoTCcJovGM8NLb9Xmxp12hfc_PTpNPm8h9vVeSalCeC7jChE
 VpVx79eg0ZIadKPusilrri0qwxTmtgmJaTBXTtGmvQIQ2Cip0MTDl2jcMRJDaMkskHAIcX52P2oF
 EDJqDo5QyGKG5lHtZouqBdURNcYiTxX7RXooxJtM1Gv2YMfLyhX3Cvob5VOgZF771Q5hyjEFO0Iy
 3nm6H1X3B_6IzZMjXSEob4t_lhjym5XoBMHTGSan8bFDW9DHBPk4wfzPY6YRGZ_zeBADkQ6_mpop
 NSgRb_YbgTtb5CN_DuNgJgd1my.xlsXeDLWuqWXKYw.RmbBoEQHQMmYk1pB2UJdl8Ac.i0Niq6Jw
 uUdF1j1WUqE7jBse8zICwLFwQvrUQ01u.4M8FDpkSGN1X18OC.mpAsBqBF4krNy0nLV0Vibro0DN
 m83koyy02Ws_BngKLTnCaxcCNpegTgQM401rzyxK.JeB7qPflvVHFBBLrrvUtZSVOXAQANLGZnpT
 Kg3wJW8W8Ghsaft.UcsYOOckx6b7zzlUeF12kcgkVQTuHMPAwB9cBvjSb_kOasx_pNihmG_VfWD_
 TajGxeKkDy0raCBUD0fM8fWCBJnfUcfKTf4kNTtrCJ3_sH4XVAS7ZvJQQ3tu173ZJIlVOaAQOhnX
 o_ZXdSsBUUOliezQ.U1CnLG_YUmFL5IQ7w5QMxPbhIfoNVqh178Dj_mBa7Izx698_uk52tBxzFJE
 2NYaI5Moi8hbGxvRxbrZfEbnTDQmRJ1.CDTKMfIxcoF6nyBv1cFeMa7I_h9v1RppWR90lrLrC5qg
 GMOgcnNvArfJjwVffOnPs3KxxPM5BUreVqFZW92JvgmlPNIbKc9EsgsTFqK3vkmugTve6pijrtqF
 2gYJt8LHFrK1dAARmdD3g6Mwcurxp763LPdpYvz0CeAH7FpWiB2LMiPaTgD50VifhGnqX4Qy5CX_
 _pnUNroHHaoWPmnPGAwKn0C2l8kXB2tliOXy7cEW0izpMTVD0S9RCO7bGNZzWbfugcQ_d9IlZ2zn
 SvoF8EEJxMKkNK.b04IzvJsaFlap_52J3zMiQ3MF3Wg9ar6G0U3uxMegZuhx1vvf5kcYaSV7IYJp
 NMGd9arIEG_VumyrIvYlQvlm02CnWzerHZaaifTjUzQFDWrqKZbrBbciPXKadMt0xZeC5FtwbJhG
 JolIgYDuEk0o9OslLvV1k2Xo0RA20eZftNgvDLyTgcBmvVW1XhP4.txK.Pkucc56H9fSKMxzONJp
 Z_8txgdVJ7H.0EkIXrbOQhVUumtA5Zvo7RDmKqAKDnEZmfqJHURbdS50PIJWOQlpu03n7.iXN9Xj
 jNZ0E5_yjnuHrYx54RIF8zTSTsWJQMUixViYU8yMe9GJEOy.MsciT2FiX8I1TTL0y.O0z4B8AZ6V
 1VLgbAlx2VZqRV0z8fcSgfH00dtbSbt5OGUAxdqaqTUkoMMNvyM0hwBlWMwfpTWHyYUCNqVd8C1S
 wgxsKtVyXToc4mzZJbCvARp.IFJOnfEIop3N4t519RR7XhLimpzdbaOZhIL8OK6uDGQMnGbhSn2y
 bRHoLhz07HeNRsr1qPgrSHlTqKhHqiWEncHt5Bi_tzLugdsc7o8f7JHaxYVIJhdZZOutgUVFoK0K
 .yRLJtvwdeTJmDlERK50l32T2Vn.GrG0lKCzu1PrsOw6xLAxB4cijsNnf17omQgvaRvmOcvO64pY
 bKMmkLueeO05Jm09z2JQGqxipTdg6De_4nXUNAkcWBTMgoHCCqSsphPrbuEH7_v0BF6COf59EoVo
 xKm.GV7AsXr3bqSMMLINmJ3Vzh.oo_6QJ8Mb10nByqllJlY2pr8_f08RDHIOoZOsJ319yOqJUObr
 hz_Cjjf8bBedjWT1w5MGJamTTQXgLZ04PEb.XRHK5xNLcKZikT2haJh3xa2Sn6nH_xxnjsSp4jCO
 5i1SJ_kmoK0w0QRdHeaXQgtgwNyJw9Fo2DxluECip5Gwd6l_z4NQmlebtgDgxWgIoIsYdSQ--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic316.consmr.mail.ne1.yahoo.com with HTTP; Sat, 19 Nov 2022 04:37:18 +0000
Received: by hermes--production-sg3-6c8895b545-26lc9 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 9aef487afd309932e119639bda998c4b; 
 Sat, 19 Nov 2022 04:37:14 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <jwvedtzaiwe.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Fri, 18 Nov 2022 19:28:24 -0500")
References: <jwvv8ncdflw.fsf@HIDDEN> <877czrdcc5.fsf@HIDDEN>
 <jwvedtzaiwe.fsf-monnier+emacs@HIDDEN>
Date: Sat, 19 Nov 2022 12:37:06 +0800
Message-ID: <87r0xzblvx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 448
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

>> What happens if you revert xsettings.c to the state it was on the 1st of
>> October?
>
> I used `master` and then
>
>     git checkout 568920a5b703e80c43e1b6f31778ea5776218a1e -- src/xsettings.c
>
> But the result behaves like `master` w.r.t to this problem (it does fix
> the minibuffer-only frame's font bug#59371, OTOH).
>
>
>         Stefan

Thanks.  I should have a fix installed shortly.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 00:28:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 19:28:36 2022
Received: from localhost ([127.0.0.1]:38529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owBil-0004Ot-O5
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 19:28:35 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:8222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1owBij-0004Oi-Ls
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 19:28:35 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 18868442281;
 Fri, 18 Nov 2022 19:28:27 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 6AA2744227F;
 Fri, 18 Nov 2022 19:28:25 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668817705;
 bh=xtjdpnSKhl0o0PX+TEhp/6XeT/Llw7IQ+9vQk3jzigc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=WERawqOWN09SDvh+abLlW8yxg02FXXhsVnqBBoVZQJj7LDPcZDwB2NeM2igRDq9Px
 8qVOIbZtOuJY9xEByqqB0l1V/H+29at2eA8ROdG6KXatuKguane4Eu1LfOaQvLwTrq
 9lqtIZ4TcEcpPi3pso9xZSpUZw4ZwSj+lw/gK//6GrmmyvQyatJBJaE/sQXvz0m4t/
 78MT1rTgQFIkLvzLVPKfQwJp494l9DaHxQ2Upn5cYkK0U9f5xSJc9Zbv2/6zunpEGj
 mrLfFFX1EqXZtyYoHjFQK1OZfcVeYck+E9a9/vQcVZybkVs3zTJgxDKA/SyPTLA9tM
 xXVUefpR25ZSA==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 4467D120BB8;
 Fri, 18 Nov 2022 19:28:25 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <877czrdcc5.fsf@HIDDEN> (Po Lu's message of "Sat, 19 Nov 2022
 08:20:26 +0800")
Message-ID: <jwvedtzaiwe.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <877czrdcc5.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 19:28:24 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.015 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> What happens if you revert xsettings.c to the state it was on the 1st of
> October?

I used `master` and then

    git checkout 568920a5b703e80c43e1b6f31778ea5776218a1e -- src/xsettings.c

But the result behaves like `master` w.r.t to this problem (it does fix
the minibuffer-only frame's font bug#59371, OTOH).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 19 Nov 2022 00:20:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 19:20:45 2022
Received: from localhost ([127.0.0.1]:38517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owBbB-0004D3-8Y
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 19:20:45 -0500
Received: from sonic306-22.consmr.mail.ne1.yahoo.com ([66.163.189.84]:41041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1owBb8-0004Cn-CN
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 19:20:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668817236; bh=Ig7SLMCmGJzM26fCg3mnZId4HZL+d/3C2X6CQyI8164=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=Btj7sItP10+/dAHijQM01HvdbO4fPT2oCV19NderFKCNO0R7Y26nI1+WNlWQif5EJaKgw9hNs/pYwFkzUMfuWcmBHzO+Wq3K0KWSs/8fPRo7UiWhuFLA2JEI9soxLIGyafS2B7yl7zxFKpanxlP9jbOkDm6pbSHQiNlkM1e587xGa7z5vEqHouiNUVfw1BOJyFF2KHXhYr31BEYLQqkwtTVc5nmCAVfy0L8OPI/LjMnC7qRX0N2NDOADYvtPUg8aFOQkaxz62ZDsHIlhzY1MMs0m82Hbjdes3jKCIPln7Sf91cEgk9nZVTmFoGllPu80DrafvDEwyd0kbshidKwzRw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1668817236; bh=Jj21HABkoKfUF0rs1wmC43XbN1oDrUlPhjT/VE5Zv5T=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=iv4Q64uWIVss3SJgEx8MNZnGOeKCAGpWRvAujj189TYI5J0o50oEp6zPOVl7or+QaT7hB+H8TZI3morVszFoJykFK101lUULNVR4oRLnHlCMqbpKX8eLhP8ZYdxXRniJqP/rfdaOFa+DeGAN+Opm1kthrmGo+2l5OGYbp5sFF+x0xA64j/TVBuiuxvCwv99jRcTzKlghhU7IX5PoIM+VUpvB1U4fCWu9YzgT+A+EP5dB3FxxuR/559PitEcSFsXgnY4Zrhamu7KOBNiJIaC80LQaZy74IiDqDkFFw6iSWUG38uDwH8Z57pdLj3gbPfrpjgFVov20QIjRlMH+HU0y/A==
X-YMail-OSG: bk1l9zAVM1nZoZxR25kED2TFn96diPdxU_X_IXydK9M83HTpBiQd2sIQPNEljsA
 Vam4q4hkSUNdGb1XMoOmypNF3rx38LJMKUv6pqmK6WxSjM_Tc2M7JcFOJTHE3WahciNv4AXJ0c5.
 sjWfJgjW6taRyyoqgrH1PjwxErsKnO8k4rlhESBMfcCr2OEpXFdgtal_DWffNDaPDQMxmIudKXjP
 rnYODswRHUoEk5.fikd5Dz2fMoSSiComAiYoQ0LesXQW9aErDy_hulv0KUm2rlHSllMBdYraRr38
 87K9xpjBJ9iHkwEBzUKNS9WlELrVkvBiwRIVkBDWnVFQxZaQ.hEbHGtV.DqDKZuJimGsmxSKGvn3
 ec2cejc3dOovS73ka1FDOzs3y50u_hnwU87zpQJfryPprydtisENnYhgdhhLdfXOBQ4RwWFVHX92
 tJmT.iGp32u9._9oFRLbC93j5mw15sNQ_qPuxHSWypSJnjc285kQFbcKI0QmCNTr5V80zHfQrZAp
 xnzKBZ2Kvk07q539or7LpVg4xsWF5RYGPNxrs5UGeUdXk2WW0ZfoO0ngCVQqJ5_9_8czqVi8McOy
 1t0XI4arTKS28.keWz9PJRZBN6xJtU.kKMIxi9hvFWZqdRgjZZyZSktLETLPh7LkJdKxN_BOT6hz
 MI2yDyIGMlPzsFLE.Cy.reAP8FjMlSPiB54BvLmNkr9BMz0fnjjyKu0G_IJSs0UhawKfNM2t.utk
 E9mqgeIF3v03pFaGCy7cVwt4lTdPv3.N5fAlwuCeCU9Fvmrzo6bZpr4B0nxpRzY4inC8cWtiGWAK
 9fkVtWLb9Vjft.iegN00GyxNIBozJBQ8PontCiNhOxPCn68bUtnE_QA9TcnrAUSGv5E.76B58NNT
 .TuAfWA7ZrMfi3LqWvLYGARRDtNmkbfD9pI5kHF9C_M3DJZl_c55tmN_9wDJ_38GP6nh4nBwJhry
 MpiVXlpIyQG0c.V1Up433XD8DRenAmqcfkP39inDZcet6iZlJc7vDjaUoiTv9RJ2pCApBrQcpye4
 EhNeozrjaWKCKF9psfltqcXFLZOQFgEW8OnQNU9JK5DhVLPfIIm9PYLSU2gY7BIfHnBWW73IMuxM
 vls1pnhVdAPMgK3otKn9HEt10RMc7ZSKM8T7EJzm2WCWCvhWPUld2UsPrcMvzSpN7n9Y2W6CbwGW
 _tp3E0nsfAxAfMuMuwyKTGbTp9jr9.EH7LgsAjKT4_8lAnJkAjar3TwlFqLYryDAw.GTYQxOwufh
 AsYjmZ_zDZynBH5Jvi5pjqwnojKMusZaUPYtVCAlGUvf.KKdKMfqwhBXLwbSXkeYVXFNboTCQELs
 UxLZFyAQ2j46VbMX_s4py.50QIQxsKpNEUYTNggJDu1kHdI.ge5ZsiGYhmwZb6MbD55aDQgIb0eO
 89IlRcDqrVecPcaDkUzCQ81M81JeJi_5tbWlAQ_XwontMLojDdPcadGKIVPIdd2NYIDUIuN1G2np
 PGa0_w__f.8fc0iqNtDOGyeUXjnB_EUAyYORzqt5lSJgrhF10OchYPdggBNRMz0BDMMHJixFTQP_
 t5O7UZXI.uH_o59kzLhjFMRXvEa9iJ45ReIQadsEESvkMGx0zKWMlrjwRUATlq8.fqojuD3Wr6KW
 UveKx8lsZvHyC1kRKGY0rGIBaT4dT4pvoTTAphlyzjgOiYYy_F0mFxxYKYgEZbtGFz9ncotZ_WYn
 1j1IEYfavGIfs36_Oks8AW.1fVev5bHmepKHSNZckxC0hUVc4RU7AM_hed9LGIEn3b8X4QDIOXPN
 GHcOc3Fp.lcisdYQjjMDvVY2YEX85JS5VIso270yCD2GC7yppUBRxI40PYD0l2aJw2jV4O6dmIaC
 0dMMg3ohTL2gnCAduIjc7t_1DhEd.IqUAqyoAF55s5mh9yzgSwjXNyLwHfBrJw2JdUam_KaT.2Yn
 np9KPNbMh7vIYQzJBlpmVN7hEapQSplc0YMqJ1Pq0LjrIxWUJ.DW2Y6VWp5MEyuWAlLkjTCB2X8y
 c_DIt5YWjsAHW.Ga5DtTuOvPwSJFoAVM6.bmayB.LLZnGxB_D5xiymT2n996bRTUrzoUkGC0TOyN
 .9gijVHcltT_7Jl08C7LvSl9j6LgVWcH8HGUkSbcGTnnMMQU8rBwqn2A2pNkXuDMI3pzeL.CEh6n
 CmerYxBXbn8pvhV0Eok4nrMCqDJeg.53hE0eCHQAGDEMy9cY7mlubHYfcNLr1GNc3MQO47yyB.zy
 cM0my0V40vZB3dcAUSlGnVvhfKKMXyFF5yeJAIYS.qtE0RQDK98WzIuqleNCDYqZ182ZE
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Sat, 19 Nov 2022 00:20:36 +0000
Received: by hermes--production-sg3-6c8895b545-mvhb5 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 2feda0716d865580547fbc6cde3973f8; 
 Sat, 19 Nov 2022 00:20:34 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <jwvv8ncdflw.fsf@HIDDEN> (Stefan Monnier's message of
 "Thu, 17 Nov 2022 23:57:31 -0500")
References: <jwvv8ncdflw.fsf@HIDDEN>
Date: Sat, 19 Nov 2022 08:20:26 +0800
Message-ID: <877czrdcc5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20863
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 927
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> Package: Emacs
> Version: 29.0.50
>
>
> When I do:
>
>     src/emacs -Q --eval \
>         '(progn
>            (custom-set-faces `(variable-pitch
>                                ((t (:family "DejaVu Sans")))))
>            (add-to-list `default-frame-alist
>                         `(font . "-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*"))
>            (font-lock-mode -1)
>            (insert (propertize "hello" `face `variable-pitch)))'
>
> I get "hello" shown in the same font as with the default face
> (i.e. "misc-fixed") instead using DejaVu Sans.
>
>
>         Stefan
>
>
>  In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
>  version 1.16.0, Xaw3d scroll bars) of 2022-11-05 built on pastel
> Repository revision: 452771086a1638bd11bae3633a3c10d51c83d9f8

What happens if you revert xsettings.c to the state it was on the 1st of
October?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 21:15:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 16:15:38 2022
Received: from localhost ([127.0.0.1]:38424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow8i1-00083E-TO
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 16:15:38 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:25864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ow8i0-000832-LQ
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 16:15:37 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id B3A2C441CFD;
 Fri, 18 Nov 2022 16:09:48 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 6061F440C3A;
 Fri, 18 Nov 2022 16:09:47 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668805787;
 bh=qauwYFFNEpt7tPgdfLlfRb4VwPQRTjGh2SKNvRm+RFA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=elCcxrziULnSZ1U+mbqz6PasFZs0BhrDSdfJEzgU8PSTQZBE90evU5B7PXh6nzTfJ
 IhrQJCi4Eyk0e4+lkOTgFWbwEupNe1Myfi3EtfPZzJ3rNkRi2NhGouZqOKmPaAd5+g
 EhQRhgwPB1naUZ0/SuLM+hrZBtPqtwkKQtMASEGxRjS98WAEeNeqVgL7mkfaixjOid
 bEhS0RSyv7w6kb7PzeU8xsZX+O+Dfc4OkAfsL3U1A58bNY8l3PHELjgfaAj0CsE9bI
 j09oKzdr31VZ1wbJHYrl2KPGcWCVr6uqX6YdpN7QihTZr/RqLJFnvV5DWwq6uhNZvF
 kbJH8dQgeowaA==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 3922A120EF7;
 Fri, 18 Nov 2022 16:09:47 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Yuan Fu <casouri@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <7B856D61-9CA6-4068-A9DB-FAE31258F114@HIDDEN> (Yuan Fu's
 message of "Fri, 18 Nov 2022 12:12:29 -0800")
Message-ID: <jwvv8nc9e0l.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <83k03s9o0z.fsf@HIDDEN>
 <BB6A77BE-B330-4242-8B70-F162427C819F@HIDDEN>
 <7B856D61-9CA6-4068-A9DB-FAE31258F114@HIDDEN>
Date: Fri, 18 Nov 2022 16:09:46 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.016 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: Eli Zaretskii <eliz@HIDDEN>, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> So my guess is that if the face uses the :family attribute, it
>> inherits the weight from default, and if Emacs cannot find that
>> weight in that font, it falls back to some other font.

But my `font` pattern doesn't specify a "weight".

>> Personally I think falling back to the same font but different weight
>> is probably less confusing.

Ignoring a "bold" setting would probably surprise/disappoint users just
as often.

> Basically the culprit in Stefan=E2=80=99s recipe is probably semicondensed
> rather than Dejavu.

Could be, indeed.  I don't actually care about the width of the font
when I request `DejaVu Sans`.  This said, if I use

    (:family "DejaVu Sans" :width normal)

I still don't get `DejaVu Sans` but I get a "normal" (hence wider)
misc-fixed instead :-(


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 20:55:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 15:55:55 2022
Received: from localhost ([127.0.0.1]:38412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow8Ow-0007Zt-Jq
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:55:54 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:3844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ow8Ou-0007Zh-5j
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:55:53 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id BC2091000EF;
 Fri, 18 Nov 2022 15:55:46 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 2E3ED1000C3;
 Fri, 18 Nov 2022 15:55:45 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668804945;
 bh=MUjZ/4F7I0yCbN0B0fZKuNWL97VxYF7bM7DtTM0VfXs=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=pHlvItaAm1CQUd8JOQmlMKLGf++sUDlRDgcvai2UBBaVyBnhn2fUoAm9Yt4Mr6BZh
 c8AzKM8Ch1wpdlA1XtdasW0oDxV2CZOofQkitfc7Emgrq9AetKnf679VnVebNMqDB6
 mmzuOCg4xvqAdBXxtPRUQa+L8iuQOaKoIuBVo9QcjK66qeKne2gqdN5uuRYHO1HeRX
 qV6qZSUnZBUFRscvkXOb2AveyPh90nxktnzZK6hvjtLu2JCQZloIYaIAUPrsrsPs7t
 LVKsv+1sIJzI19j8RUNJTxU8pe0RjPepkPK5+tt8C01uG/vFJ/8dLInalefpBD4i0e
 x7MwaIzNOBxYw==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id DD73312027C;
 Fri, 18 Nov 2022 15:55:44 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Fri, 18 Nov 2022 14:46:46 -0500")
Message-ID: <jwv1qq0atnv.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
Date: Fri, 18 Nov 2022 15:55:43 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL 0.018 Adjusted score
 from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9 Bayes
 spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier [2022-11-18 14:46:46] wrote:

>> So this recipe is something that stopped working recently?
>
> I think so, yes (at least a similar setup in my config did).
>
>> Can you tell when, or bisect?
>
> Not sure when, yet.  Presumably within the last 2 months.
> I'll try to bisect.

`git bisect` says:

    6b1ed2f2c99a1c2da56c5f434570c438cad6576d is the first bad commit
    commit 6b1ed2f2c99a1c2da56c5f434570c438cad6576d
    Author: Eli Zaretskii <eliz@HIDDEN>
    Date:   Sat Aug 27 13:13:48 2022 +0300
    
        Fix antialias face attribute when text is scaled
        
        This restores the code we had in realize_gui_face before commit bf0d3f7.
        The problem described in bug#17973, which led to that commit, only
        happens if one uses a specific (misc-fixed) font family, not for
        the usual default fonts used by Emacs, and I'm not sure what's
        described there is a bug at all.  At least for the purposes of
        text-scale-adjust, it makes no sense to ignore the
        foundry/family/adstyle of the original font, because we _want_ the
        same (or very similar) font, just of a different size.
        
        And likely in other use cases: if the :font attribute of a face
        specifies some font properties, we want to keep them all, not
        arbitrarily to ignore some of them.  And definitely catering to an
        obscure use case such as the one cited in bug#17973 is NOT a good
        reason to make such radical changes in face-realization behavior.
        
        So I think backing out that part of commit bf0d3f7 is TRT, and if
        we decide that this causes bug#17973 in too many situations we care
        about, I'd rather find a kludge for that specific case than do that
        for every face realization.
        * src/xfaces.c (realize_gui_face): Preserve face attributes when
        text is scaled.  This reverts part of the changes installed in
        commit bf0d3f7.  (Bug#37473)
    
     src/xfaces.c | 27 +++------------------------
     1 file changed, 3 insertions(+), 24 deletions(-)

:-(

> The only way I know is to set font-log to nil before you do this, and
> then look at the log.  But I have never learned anything useful from
> that log.

:-(

> Anyway, can you confirm that using other fonts instead of DejaVu Sans
> does work?

I just tried with `Noto Sans`, `Verdana`, `STIX`, and `Courier New` and
none of them works (although they work with Emacs-28), so no
I can't confirm.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 20:12:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 15:12:43 2022
Received: from localhost ([127.0.0.1]:38381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow7j8-0006ST-EN
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:12:42 -0500
Received: from mail-pl1-f175.google.com ([209.85.214.175]:44929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <casouri@HIDDEN>) id 1ow7j4-0006SE-KX
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:12:41 -0500
Received: by mail-pl1-f175.google.com with SMTP id g10so5487373plo.11
 for <59347 <at> debbugs.gnu.org>; Fri, 18 Nov 2022 12:12:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:references:message-id:content-transfer-encoding:cc:date
 :in-reply-to:from:subject:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=MVJzObU0TBo6UNLqcJ1lBX9PKkvgNJwb8F8dUbo9hfk=;
 b=J/s+VXHRc7uAIa0JaGPjNg+XRQBog0Y6Yw91FSrG5U2zZPUV8m9+K8oueKc1+FvpTb
 fZGQ8IZlKfYJb8I9rC+d3saERzXGlwyRbAj6I4Al/tzPsvWzrxro/dPqcOZyHiWjwdGe
 no6qjdNbSVoAa1y8+FDuC2U/F/yR9povVjTpKVbUjogSgtFR1RM3QdOFpNJu2hrNwqRf
 71dNBB18+nDD5X40adsKVxUDMMJQq2We7cVgYg71ampvVDEYSYFMGfXEWcLEHgj13rDC
 kLn5zTyY+mqV8IZSNvQ32XLgW5KxkUQVUJbfBiyjMD3U7prdCHHHQOMB4tCfn3lqnZFD
 MM3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:references:message-id:content-transfer-encoding:cc:date
 :in-reply-to:from:subject:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=MVJzObU0TBo6UNLqcJ1lBX9PKkvgNJwb8F8dUbo9hfk=;
 b=zGPGZNI470Cz7mC2xoNXXMMl5gPpS9L+tCuRdyO6ETe8twXrYCTr9mmeaQPSUofqw/
 i3N5nckE0dV91cjQxGt06PENKGYEzfFqb9xoaPs5kbQJt2SiabN3g5OAwkSYtf/PVUMJ
 azM75eMToyYwzJKTSW5aLkbewIdXitEBKNM8TgkUK2W4VD4/sknpCURb81L/K6f122aA
 9esE464uhf42m72oQSfDy6dRtWCtjGEEvfPiSSBVXQ5lA0zvn7QvxgSYc6GbMP778pPv
 h42Pjq89pCj5/fZNkdnrdizmQxTBsI9wnzH/nFF+UxMEkH6Pjgsmf85UHSyuyrC8hMbe
 Ec2w==
X-Gm-Message-State: ANoB5pmSTipScEdTojVGhhp7Re0HU51a747DdkbEIE9FPsw7Z6zwBlie
 Uw5QfxtVEDGTzql3CJV9DQI=
X-Google-Smtp-Source: AA0mqf6gfkcohU6+RvLCNb3TgZhAPVsIdrSUU6DyWQ7B/Uzk9XTfoZ04cPr4QKBqj3BbA5/x+DLUDg==
X-Received: by 2002:a17:902:e9c2:b0:187:4920:3a78 with SMTP id
 2-20020a170902e9c200b0018749203a78mr1071141plk.88.1668802352718; 
 Fri, 18 Nov 2022 12:12:32 -0800 (PST)
Received: from smtpclient.apple (cpe-172-117-161-177.socal.res.rr.com.
 [172.117.161.177]) by smtp.gmail.com with ESMTPSA id
 x136-20020a62868e000000b00561b53512b0sm3527208pfd.195.2022.11.18.12.12.32
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 18 Nov 2022 12:12:32 -0800 (PST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.120.41.1.1\))
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
From: Yuan Fu <casouri@HIDDEN>
In-Reply-To: <BB6A77BE-B330-4242-8B70-F162427C819F@HIDDEN>
Date: Fri, 18 Nov 2022 12:12:29 -0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <7B856D61-9CA6-4068-A9DB-FAE31258F114@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <83k03s9o0z.fsf@HIDDEN> <BB6A77BE-B330-4242-8B70-F162427C819F@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.3696.120.41.1.1)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59347
Cc: Stefan Monnier <monnier@HIDDEN>, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



> On Nov 18, 2022, at 12:00 PM, Yuan Fu <casouri@HIDDEN> wrote:
>=20
>=20
>=20
>> On Nov 18, 2022, at 9:21 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
>>=20
>>> Cc: 59347 <at> debbugs.gnu.org
>>> Date: Fri, 18 Nov 2022 18:54:02 +0200
>>> From: Eli Zaretskii <eliz@HIDDEN>
>>>=20
>>>> What should I change in my recipe in order to keep the same default =
font
>>>> but get the DejaVu Sans that used to get?
>>>=20
>>> The default font would be my guess.  Try using some other font, not
>>> from the fixed-misc family.
>>=20
>> I take that back: I tried your recipe, and it works with every font I
>> tried except DejaVu Sans.  So I guess that font is the culprit, and
>> you should find some other font that you like.
>>=20
>> Why DejaVu Sans is rejected, I donb't know, but that font has some
>> issues that we already discovered in the past, so it could be a good
>> idea to get rid of it regardless.
>=20
> I might have some more information, and here is a reproduce of what I =
see:=20
>=20
> Load these two (open source) fonts in to your machine, and emacs -Q -l =
reproduce.el
>=20
> The content of reproduce.el is:
>=20
> (pop-to-buffer
> (let ((font1 "IBM Plex Mono")
>       (font2 "Charter"))
>   (with-current-buffer (get-buffer-create "*test*")
>     (set-face-attribute 'default nil
>                         :font (font-spec :family font1
>                                          :weight 'medium))
>     (insert (propertize "Some Text\n" 'face `(:family ,font2)))
>     (insert (propertize "Some Text"
>                         'face `(:font ,(font-spec :family font2))))
>     (current-buffer))))
>=20
> It inserts two lines of text, both using font2, but the first line =
using :family and the second using :font. The one using :family is not =
displayed in font2 (it falls back to some other font), but the one using =
:font is.
>=20
> I think this is because the default font (font1) uses medium weight, =
but font2 doesn=E2=80=99t have a medium weight. I tried with different =
fonts for font2, and whether that font has a medium weight correlates to =
whether the first line of text can be displayed in that font.
>=20
> So my guess is that if the face uses the :family attribute, it =
inherits the weight from default, and if Emacs cannot find that weight =
in that font, it falls back to some other font.
>=20
> I don=E2=80=99t know how to =E2=80=9Cfix=E2=80=9D this, but at very =
least we should make it easy to figure out why the family attribute =
=E2=80=9Cdidn=E2=80=99t work=E2=80=9D. (It=E2=80=99s not unreasonable =
for someone to think: I have the font on my machine, the family settings =
is set to that font, why is the text not displayed in that font??)
>=20
> Personally I think falling back to the same font but different weight =
is probably less confusing.
>=20
> Yuan
>=20
> <reproduce.el><IBMPlexMono-Medium.ttf><Charter Regular.otf>

Basically the culprit in Stefan=E2=80=99s recipe is probably =
semicondensed rather than Dejavu.

Yuan=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 20:00:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 15:00:48 2022
Received: from localhost ([127.0.0.1]:38338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow7Xc-000670-Fe
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:00:48 -0500
Received: from mail-pj1-f46.google.com ([209.85.216.46]:35789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <casouri@HIDDEN>) id 1ow7Xa-00066n-Ox
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 15:00:47 -0500
Received: by mail-pj1-f46.google.com with SMTP id
 w4-20020a17090ac98400b002186f5d7a4cso5710835pjt.0
 for <59347 <at> debbugs.gnu.org>; Fri, 18 Nov 2022 12:00:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=references:to:cc:in-reply-to:date:subject:mime-version:message-id
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=gm7iTTwxm6D4Psiac6c61FWbargJFyC+c0QXjBeWImo=;
 b=OPJRPX7nFrIltlBL0TsVEeRRwfgXRW0VQ83Ojq8ZaLD2pjtGk2rwVZUTczBPTtsN/e
 lW1Qxcq4/tf+hDh3yumYep+O5+Sdp8fpju7SY/7H57K0PDd9AB/JB0vmvxf6quvJf9zS
 v3mIHM3sa6g/8PmWz5faYRHRN5hOFJpS/gSJtDpkTwjh+1RyiP+WpHVytxlY42TBdIM/
 e3mBuU0oXUT/+jwuaYlO3trrf9EUYEHwTVtUGzyNMpHdvjeCV6Y2SdzkPQZW/A2Zn/OW
 dSx5SP0/hZiNh7r70iR9IzZFxvESn1CgLRLpDREFpzxfnJ/ZawGF7+sguL2A0fxOMOc5
 r3Ow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=references:to:cc:in-reply-to:date:subject:mime-version:message-id
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=gm7iTTwxm6D4Psiac6c61FWbargJFyC+c0QXjBeWImo=;
 b=l4u0aGoRvgP7s6FYulBAsuIP99R3udeMdE5Zos3UoKGsHCqVp1eqGEa51XsUe0O2PP
 ORhm8FHAHoBUt4W6irz9riL8UuiFKBIyWvH6xTWbJuf3vgmax6uSTnBZ2E51haYaFGyT
 FzSpPOw3tATIQve3SFQkBvjOhnVO8Zfx5deSTwzBbVZ//uQS02Bf5dpHFzZKmQfCqP9S
 +oX3DFWCZVQXDhdKlts1iQBIsWbo9yit7RFcpCX0jYpfZgwBmlyxAB/32SaYiW2aIcpw
 h9NX49gZ6/V3aNm/euSgRk1WggIfDkT9c4rmNMMrlcLN5l6qdMjY7pzYnyf7dQ30tCeG
 9zDw==
X-Gm-Message-State: ANoB5pmovuurfDiAiozuLUz7DbNr0iXMdunSn9eC5JUVM/E/UTb8BZ4s
 xDlUXTyYk/8dtq1wscwf1Yk=
X-Google-Smtp-Source: AA0mqf7UG62/bpcSbK7Q/JMwKq7VI0uHlQTYbYgS1ieehQEbJTw0yCJlsEcFyNSUSqXCEuYiwFOQmw==
X-Received: by 2002:a17:902:aa0c:b0:180:4030:1c7d with SMTP id
 be12-20020a170902aa0c00b0018040301c7dmr962757plb.99.1668801638366; 
 Fri, 18 Nov 2022 12:00:38 -0800 (PST)
Received: from smtpclient.apple (cpe-172-117-161-177.socal.res.rr.com.
 [172.117.161.177]) by smtp.gmail.com with ESMTPSA id
 p5-20020a17090a680500b0020dd9382124sm5708400pjj.57.2022.11.18.12.00.37
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 18 Nov 2022 12:00:37 -0800 (PST)
From: Yuan Fu <casouri@HIDDEN>
Message-Id: <BB6A77BE-B330-4242-8B70-F162427C819F@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_4FEC1A87-97EC-4386-B470-B2809E42D9FE"
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.120.41.1.1\))
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
Date: Fri, 18 Nov 2022 12:00:36 -0800
In-Reply-To: <83k03s9o0z.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <83k03s9o0z.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3696.120.41.1.1)
X-Debbugs-Envelope-To: 59347
Cc: Stefan Monnier <monnier@HIDDEN>, 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>


--Apple-Mail=_4FEC1A87-97EC-4386-B470-B2809E42D9FE
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8



> On Nov 18, 2022, at 9:21 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
>=20
>> Cc: 59347 <at> debbugs.gnu.org
>> Date: Fri, 18 Nov 2022 18:54:02 +0200
>> From: Eli Zaretskii <eliz@HIDDEN>
>>=20
>>> What should I change in my recipe in order to keep the same default =
font
>>> but get the DejaVu Sans that used to get?
>>=20
>> The default font would be my guess.  Try using some other font, not
>> from the fixed-misc family.
>=20
> I take that back: I tried your recipe, and it works with every font I
> tried except DejaVu Sans.  So I guess that font is the culprit, and
> you should find some other font that you like.
>=20
> Why DejaVu Sans is rejected, I donb't know, but that font has some
> issues that we already discovered in the past, so it could be a good
> idea to get rid of it regardless.

I might have some more information, and here is a reproduce of what I =
see:=20

Load these two (open source) fonts in to your machine, and emacs -Q -l =
reproduce.el

The content of reproduce.el is:

(pop-to-buffer
 (let ((font1 "IBM Plex Mono")
       (font2 "Charter"))
   (with-current-buffer (get-buffer-create "*test*")
     (set-face-attribute 'default nil
                         :font (font-spec :family font1
                                          :weight 'medium))
     (insert (propertize "Some Text\n" 'face `(:family ,font2)))
     (insert (propertize "Some Text"
                         'face `(:font ,(font-spec :family font2))))
     (current-buffer))))

It inserts two lines of text, both using font2, but the first line using =
:family and the second using :font. The one using :family is not =
displayed in font2 (it falls back to some other font), but the one using =
:font is.

I think this is because the default font (font1) uses medium weight, but =
font2 doesn=E2=80=99t have a medium weight. I tried with different fonts =
for font2, and whether that font has a medium weight correlates to =
whether the first line of text can be displayed in that font.

So my guess is that if the face uses the :family attribute, it inherits =
the weight from default, and if Emacs cannot find that weight in that =
font, it falls back to some other font.

I don=E2=80=99t know how to =E2=80=9Cfix=E2=80=9D this, but at very =
least we should make it easy to figure out why the family attribute =
=E2=80=9Cdidn=E2=80=99t work=E2=80=9D. (It=E2=80=99s not unreasonable =
for someone to think: I have the font on my machine, the family settings =
is set to that font, why is the text not displayed in that font??)

Personally I think falling back to the same font but different weight is =
probably less confusing.

Yuan


--Apple-Mail=_4FEC1A87-97EC-4386-B470-B2809E42D9FE
Content-Disposition: attachment;
	filename=reproduce.el
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="reproduce.el"
Content-Transfer-Encoding: 7bit

(pop-to-buffer
 (let ((font1 "IBM Plex Mono")
       (font2 "PragmataPro Mono"))
   (with-current-buffer (get-buffer-create "*test*")
     (set-face-attribute 'default nil
                         :font (font-spec :family font1
                                          :weight 'medium))
     (insert (propertize "Some Text\n" 'face `(:family ,font2)))
     (insert (propertize "Some Text"
                         'face `(:font ,(font-spec :family font2))))
     (current-buffer))))

--Apple-Mail=_4FEC1A87-97EC-4386-B470-B2809E42D9FE
Content-Disposition: attachment;
	filename=IBMPlexMono-Medium.ttf
Content-Type: font/ttf;
	x-unix-mode=0644;
	name="IBMPlexMono-Medium.ttf"
Content-Transfer-Encoding: base64
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--Apple-Mail=_4FEC1A87-97EC-4386-B470-B2809E42D9FE
Content-Disposition: attachment;
	filename="Charter Regular.otf"
Content-Type: font/otf;
	x-unix-mode=0644;
	name="Charter Regular.otf"
Content-Transfer-Encoding: base64
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--Apple-Mail=_4FEC1A87-97EC-4386-B470-B2809E42D9FE
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii





--Apple-Mail=_4FEC1A87-97EC-4386-B470-B2809E42D9FE--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 19:58:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 14:58:10 2022
Received: from localhost ([127.0.0.1]:38330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow7V3-000608-OC
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 14:58:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow7Uz-0005zb-9A
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 14:58:08 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow7Ut-0006DW-ON; Fri, 18 Nov 2022 14:57:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=TOy6zlr/bo8lTMjcMnBX8Dvu5M0d/R9B48ZQ2SpQuCI=; b=lbTwIsxFK+/A
 7z1xOXxXSmARz6dJ5OsdA36mxcw5z3lrVnBL2SVfKwISKgG364shDEvkgnyQaS/Y1dBTC+PP10UmU
 us92ewVRpajJGrT+TdK95ZaSb5xCPuGNdEyEWslqT8FuGYZWxioZ5oeA0rTB+ic22kIJ1f88SQ8ID
 IQhrPAHyPgb7h67wL76zAX7+L5QKpze7EJb0LEwA3/ZF8G6v1efm2cljvPFcCBAeNnuwPwDbZiU+O
 CVkP5AiKkZ66M17qKLx25ZWlXF34WnriGkIPnSjegkssqocS3RKHvr+NBGqtx3SbtWRTHlHG5de0G
 A8Lpr6WHOPL0nkb8yc7jmQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow7Ut-0003wY-8V; Fri, 18 Nov 2022 14:57:59 -0500
Date: Fri, 18 Nov 2022 21:58:03 +0200
Message-Id: <83fseg9gs4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Fri, 18 Nov 2022 14:46:46 -0500)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
 <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: 59347 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 14:46:46 -0500
> 
> Is there some way I can ask Emacs for (something approximating) an
> explanation of why that `:family` specification was ignored?

The only way I know is to set font-log to nil before you do this, and
then look at the log.  But I have never learned anything useful from
that log.

> I'm looking at debbugs search for "dejavu sans" but can't see anything
> that suggests a problem specific to that font (and those I find just
> seem to be using "DejaVu Sans Mono" rather than "DejaVu Sans").
> Do you remember particular instances?

Look at the DejaVu Sans Mono issues, I think they are the same font,
basically.

Anyway, can you confirm that using other fonts instead of DejaVu Sans
does work?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 19:46:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 14:46:58 2022
Received: from localhost ([127.0.0.1]:38315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow7KE-0005gn-2g
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 14:46:58 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:31697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ow7KA-0005gW-IG
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 14:46:57 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 16C0B4417F1;
 Fri, 18 Nov 2022 14:46:49 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 4A4BE4417E8;
 Fri, 18 Nov 2022 14:46:47 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668800807;
 bh=klcVpBI3eahWTx63KdFjcKLoS7sEg30yABOUvsLQQN0=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=e98+0P7t0Q+Wd6VFNS6lhAhErf1CxjNjik21Cdi/Tr+KQQXcVyJkP3c2tvDFYd62h
 6Knz8AH6kkiqC188+tCmGxPLGtU58Uez1vexRYqmSmFmcH6DS4diW28jQexPEMaMIU
 D0Y68ilMSWkVP4wg1xHCZfKTS1BeJ0CCxGW9LyTj+nZqyOoNS6P90/som5HFy5FkbR
 YOHvqzj4M3PdCNhqhpaDjTzaW70RHAHXdM+fgrSkTlJT0r9sLrEpFQNZPBQCYn4qeq
 HRJBXdT4d9QA1PnI9MnXBbbB5KKCIQZFm7FcCpRwYzcSZc/lbQzP3KTDgXe8DecxT/
 2gDcKb1XirlEA==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 1CBC9120F91;
 Fri, 18 Nov 2022 14:46:47 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83pmdk9pat.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 18:54:02 +0200")
Message-ID: <jwvbkp4ax2b.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 14:46:46 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.017 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> So this recipe is something that stopped working recently?

I think so, yes (at least a similar setup in my config did).

> Can you tell when, or bisect?

Not sure when, yet.  Presumably within the last 2 months.
I'll try to bisect.

> I'm just tired of investigating recipes that eventually lead nowhere.
> The way Emacs approves and rejects fonts doesn't guarantee that a
> request to use a given family will always be granted.  Moreover,
> fontconfig setup on the user's platform is also relevant.

Is there some way I can ask Emacs for (something approximating) an
explanation of why that `:family` specification was ignored?

>> I'm really trying to fix an actual misbehavior in my config (one
>> which at first sight looks to me like a plain bug, or at least a
>> plain regression).
> It isn't.

For me it's definitely a regression: my favorite fonts aren't used as
I want them.

>> What should I change in my recipe in order to keep the same default font
>> but get the DejaVu Sans that used to get?
> The default font would be my guess.  Try using some other font, not
> from the fixed-misc family.

I don't really want another default font.
So far it's still the most legible monospace font at that size
(both horizontal and vertical) I have found.

> I take that back: I tried your recipe, and it works with every font I
> tried except DejaVu Sans.  So I guess that font is the culprit, and
> you should find some other font that you like.

That was my favorite so far for variable-pitch mixed with monospace.
And it worked fine until recently.

As far as I know it's a very widespread font, so it'd be good to know
more precisely where's the problem so we can hopefully get it fixed or
otherwise have a good justification.

Admittedly, https://dejavu-fonts.github.io/ says the last release of
that font was in 2016, so maybe it's not well maintained any more?

> Why DejaVu Sans is rejected, I donb't know, but that font has some
> issues that we already discovered in the past, so it could be a good
> idea to get rid of it regardless.

I'm looking at debbugs search for "dejavu sans" but can't see anything
that suggests a problem specific to that font (and those I find just
seem to be using "DejaVu Sans Mono" rather than "DejaVu Sans").
Do you remember particular instances?


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 17:21:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 12:21:36 2022
Received: from localhost ([127.0.0.1]:38158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow53Y-00020W-JM
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:21:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow53W-00020J-LT
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:21:35 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow53R-0007uI-4y; Fri, 18 Nov 2022 12:21:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=C7pSVaCDlUMRUysinQLK4Y8lu8hZTdWFY0oW7kabhLM=; b=eq6Fx5lZqaZp
 oZrOawjc6C31pFTzh1bWbJR1FbiaZP6VLVABhl6NamYVHkxgcZlTBEypG0apYVgWOsNs1ISRBxpaO
 vfgpqVEtXC9JKfpRISNn2m+5TKuSGKt8aHamW+HXsdsKHkH8hAnU1Yt8njx0dcdjrcAYP6MQGfG3X
 u8MEVxZQPjUfPBi2NfcTzdV+jnkg+OA+pgTUM8/LgWRmH9n0+5ltqut3TX1glRilkTyF3bohGK19J
 W6btmJzaIQvIQRoFLYTnUD5tnklnfqt/ZWG7aze3BRjfKOond4faqYKaOcXuEJQT4GhJf6ZJCB1Kd
 JtDsDSiBH9jS8HxGn0FUkg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow53Q-0005Ws-JF; Fri, 18 Nov 2022 12:21:28 -0500
Date: Fri, 18 Nov 2022 19:21:32 +0200
Message-Id: <83k03s9o0z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: monnier@HIDDEN
In-Reply-To: <83pmdk9pat.fsf@HIDDEN> (message from Eli Zaretskii on Fri, 18
 Nov 2022 18:54:02 +0200)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> <83pmdk9pat.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 59347 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 18:54:02 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> 
> > What should I change in my recipe in order to keep the same default font
> > but get the DejaVu Sans that used to get?
> 
> The default font would be my guess.  Try using some other font, not
> from the fixed-misc family.

I take that back: I tried your recipe, and it works with every font I
tried except DejaVu Sans.  So I guess that font is the culprit, and
you should find some other font that you like.

Why DejaVu Sans is rejected, I donb't know, but that font has some
issues that we already discovered in the past, so it could be a good
idea to get rid of it regardless.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 16:54:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 11:54:06 2022
Received: from localhost ([127.0.0.1]:38110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow4cv-0001Iw-Th
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 11:54:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49492)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow4cu-0001IM-O0
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 11:54:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow4cp-0003UD-3n; Fri, 18 Nov 2022 11:53:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=UNYA8rikwbb5xu5my8N3PFVMlwHx5O1oiF+tlPuVzkk=; b=BPU4qL7LWfGG
 5OH13HOGgVBmPYUptVPyzCXQgDjCkvuc5YRSp1PYef2yziMCuin6Hri+m8sx/wNkmbUDAqX6P0nIQ
 pwzQHxdBZh0cUYm2sGejLTPCXKe4Aa+PWRJ9ZKxueKboxEJJp1cOcwD4WWyKo1MaduKn1MdCoG4BB
 302QQmCBbuObHnkW9oLZq1cmiFZJPvQL4NwbBZ0jl0REkCro6s0nyiJv2l65ZFZdH+e+IIRzsDN5F
 94e+h8HdY7aN5+IjPt2SqpiOThXB0s53fJiw17H8qzsiQ1AguXaG1zlyY2obM9lc5+4i6yxnRMGo1
 lTplwZYHdOPQBUXHUUBDvw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow4cn-0005Vv-QT; Fri, 18 Nov 2022 11:53:58 -0500
Date: Fri, 18 Nov 2022 18:54:02 +0200
Message-Id: <83pmdk9pat.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwv4juwnva4.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Fri, 18 Nov 2022 10:25:34 -0500)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
 <jwv4juwnva4.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: 59347 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 10:25:34 -0500
> 
> >> So let me return the question: what part of the above code makes you
> >> think it's correct for Emacs to use a different font than the DejaVu Sans?
> > The part where you requested a misc-fixed font.
> 
> I can't see how a "misc-fixed" default fault would prevent the use of
> DejaVu Sans font for particular parts of the text.  This has worked for
> the last 10 years or so, AFAIK.

So this recipe is something that stopped working recently?  Can you
tell when, or bisect?

> > Bottom line: you cannot expect Emacs to select a font from a family
> > you request, not with a 100% reliability anyway.  Emacs can decide
> > not to.
> 
> I sense a bit of defensiveness in your responses.

I'm just tired of investigating recipes that eventually lead nowhere.
The way Emacs approves and rejects fonts doesn't guarantee that a
request to use a given family will always be granted.  Moreover,
fontconfig setup on the user's platform is also relevant.

> I'm really trying to fix an actual misbehavior in my config (one
> which at first sight looks to me like a plain bug, or at least a
> plain regression).

It isn't.

> What should I change in my recipe in order to keep the same default font
> but get the DejaVu Sans that used to get?

The default font would be my guess.  Try using some other font, not
from the fixed-misc family.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 15:25:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 10:25:45 2022
Received: from localhost ([127.0.0.1]:37985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow3FQ-00033s-V4
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:25:45 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:37477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ow3FO-00033f-Kf
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:25:43 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id D6F141000EF;
 Fri, 18 Nov 2022 10:25:36 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 4B9D71000C3;
 Fri, 18 Nov 2022 10:25:35 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668785135;
 bh=M++jnfjveGZ9cjTx/spR7xVkDXePYVVzE3dXCfMTMik=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=OkOz5Rqtd/LbSME+kdbahfXLafR8/XhSx9I4Ikna7FbLJ+SijdINrNpCdru5U92eM
 75asmWQ2AfgTT9FF/IAah4Il+ysjE4gf8j+5lRvx6mZyfr9+4x+KrXvMIkaNQ/S96o
 7cmfvoNmWCTGzyZfssrt+LYP4mzPOjAtZM4uhxRt9b+MfJ0YXu+0GaZshonFnYYhnS
 GbdTsCLJLzEn2ZxO4C8b5+XPJ9mK3izXuAqV450HbsTFXJ9JxXlOv07zM09agd+GG6
 s27xYZ5BGxO1Hvj0XLTBuMX4MX8/Ct/wXhOEETREZy3c7+cm874ADX/dvl48JT5B1w
 E99TAbTNaczbA==
Received: from alfajor (unknown [45.44.229.252])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 10D991203CD;
 Fri, 18 Nov 2022 10:25:34 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83wn7s9txp.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 17:13:54 +0200")
Message-ID: <jwv4juwnva4.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> <83wn7s9txp.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 10:25:34 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.082 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> So let me return the question: what part of the above code makes you
>> think it's correct for Emacs to use a different font than the DejaVu Sans?
> The part where you requested a misc-fixed font.

I can't see how a "misc-fixed" default fault would prevent the use of
DejaVu Sans font for particular parts of the text.  This has worked for
the last 10 years or so, AFAIK.

>> > Like, for example, that DejaVu Sans doesn't have a variant with the
>> > size that matches the default face's font?
>> DejaVu is a scalable font, so I can't see how it could not have a size
>> that matches.
> Of course, it can.
> And if it isn't because of size, it can be because of some other font
> attribute, like weight.

I can't see which such attribute in my example would explain the
behavior I see.

> Bottom line: you cannot expect Emacs to select a font from a family
> you request, not with a 100% reliability anyway.  Emacs can decide
> not to.

I sense a bit of defensiveness in your responses.  I'm really trying to
fix an actual misbehavior in my config (one which at first sight looks
to me like a plain bug, or at least a plain regression).

What should I change in my recipe in order to keep the same default font
but get the DejaVu Sans that used to get?


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 15:13:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 10:13:58 2022
Received: from localhost ([127.0.0.1]:37900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow342-0002gy-52
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:13:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow340-0002gm-GF
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 10:13:56 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow33v-0001x5-2X; Fri, 18 Nov 2022 10:13:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Xs2/dxsaA2qxfZNi5kKuu6FUPl+fV2rjPxMfXLFEzHw=; b=BlIFyxc/ErEY
 E+k3ImOZIHg3bQg/l1+39IYsK5/T2lE7J2xZlVHODg56lCd7BTTmLY2BM8Rh5I+1AnAqTiQRNVIM/
 TCtCOS4c3AXhodOq4WKFo3Q73b61GLfagjWNapIE0iuERf5PZqhxD7fk1Tc+JQv9QFH9nz1tOd7eL
 HkHkc5RBdh/iseGpEPfkLOZAy00jw6ufyl6cZhpmy9aMrNVTl1YuAcsE7qT5UDYZ7FJ/S836qJ51F
 64rbQPAKq9WvduZOPA9oOZCa11RIsT2XwBQ5fV8CXsx4IsBoWfRt7IKuEwM+Pq7Mb4ps58ZyQPfoD
 Rj5zF+UOLHAlZS+743KP3Q==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow33u-0005U7-J3; Fri, 18 Nov 2022 10:13:50 -0500
Date: Fri, 18 Nov 2022 17:13:54 +0200
Message-Id: <83wn7s9txp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Fri, 18 Nov 2022 09:59:38 -0500)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
 <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: 59347 <at> debbugs.gnu.org
> Date: Fri, 18 Nov 2022 09:59:38 -0500
> 
> So let me return the question: what part of the above code makes you
> think it's correct for Emacs to use a different font than the DejaVu Sans?

The part where you requested a misc-fixed font.

> > Like, for example, that DejaVu Sans doesn't have a variant with the
> > size that matches the default face's font?
> 
> DejaVu is a scalable font, so I can't see how it could not have a size
> that matches.

Of course, it can.

And if it isn't because of size, it can be because of some other font
attribute, like weight.

Bottom line: you cannot expect Emacs to select a font from a family
you request, not with a 100% reliability anyway.  Emacs can decide not
to.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 14:59:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 09:59:52 2022
Received: from localhost ([127.0.0.1]:37884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow2qO-0002KW-0P
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:59:52 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:15904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ow2qI-0002KF-9u
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 09:59:50 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id DA5A0441448;
 Fri, 18 Nov 2022 09:59:40 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 8C33C441463;
 Fri, 18 Nov 2022 09:59:39 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668783579;
 bh=2sP2jRjYjPnpDZKnlQjKJdw3ZThEEjZ6P/8C9W7tAbw=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=KhwnpC/uEcv+LZKXwiFoPnTwXVtnhnlQ9reX2ST08VOucCFLNZ2+LzXGBVXI/s+sZ
 nsl35kcKdyTUdOW9jH3tL+J1lXtKj4uULocn38/HW+nH6LzRaGK92A84DsWgcka71n
 DPmSyS9ub5ofkUjgCIKvzcez96YJEM+U9lhDQCXWvh+sFBnv3U+9I77GTfkJd14GEy
 ADB+SipCZniK84hClhzNkY03dmhxN6vPEEkdAAiquVKmv6o+dnwA4MYvuacrOZderf
 LLYTBjbGgWHZcIWDVojHqcuRe4RJta4jb8zk+/m5lIID0SgGXpAP58gBECEMKzfGUm
 TX9c7MPHNyeuA==
Received: from alfajor (unknown [45.44.229.252])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 70A4012053B;
 Fri, 18 Nov 2022 09:59:39 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
In-Reply-To: <83bkp4bfqf.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 18 Nov
 2022 14:37:44 +0200")
Message-ID: <jwvleo8nwiv.fsf-monnier+emacs@HIDDEN>
References: <jwvv8ncdflw.fsf@HIDDEN> <83bkp4bfqf.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 09:59:38 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.184 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>>     src/emacs -Q --eval \
>>         '(progn
>>            (custom-set-faces `(variable-pitch
>>                                ((t (:family "DejaVu Sans")))))
>>            (add-to-list `default-frame-alist
>>                         `(font . "-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*"))
>>            (font-lock-mode -1)
>>            (insert (propertize "hello" `face `variable-pitch)))'
>> 
>> I get "hello" shown in the same font as with the default face
>> (i.e. "misc-fixed") instead using DejaVu Sans.
>
> All those backquotes, are they really backquotes when you type this?

Yes.

> Or should they be escaped apostrophes?

It's a pain in the rear to escape quotes from within quotes, so I use
backquotes instead, which works as well as long as there's no comma
nested inside :-)

> More to the point, why do you think this is a bug in Emacs?  What
> happened here is that you requested a face to use some font family,
> and Emacs for whatever reasons decided not to use that family.  Why is
> that a bug?  Why are you sure Emacs didn't do that for valid reasons?

I'm not.  I just can't see an obvious good reason for it.
I suspect I wouldn't be the only user who'd find this rather perplexing.

So let me return the question: what part of the above code makes you
think it's correct for Emacs to use a different font than the DejaVu Sans?

> Like, for example, that DejaVu Sans doesn't have a variant with the
> size that matches the default face's font?

DejaVu is a scalable font, so I can't see how it could not have a size
that matches.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at 59347 <at> debbugs.gnu.org:


Received: (at 59347) by debbugs.gnu.org; 18 Nov 2022 12:37:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 07:37:48 2022
Received: from localhost ([127.0.0.1]:35636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow0cu-0008IO-5y
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:37:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ow0cs-0008IB-BR
 for 59347 <at> debbugs.gnu.org; Fri, 18 Nov 2022 07:37:46 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow0cm-0007ZC-HG; Fri, 18 Nov 2022 07:37:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=VJfQbDuf5HNnkQENjC8OhC67YBJKD/ti6RLSFI5I9ks=; b=Y4NIYlXKHXN3
 lBKoI6ofOzF6LOdmVUvunUHHntbIG5FFrYzO7WT7ibVZI8k4bTrykPHEsmZbs+XrgmM+T/+bywv8r
 /vIhhtf+YM7dM4UBZ0zQrtSzqRoP+uCNNIGFYzXIclOGnSHlfxeVAgoWTUwlJ2ZMKuTG3KKWKoEAY
 yxuEyJgLV6yI7al6r6QU37C+2BZFBundN4vBscgib89fbXrXTxIBBJ6HkUFiU4B5y0S0edj8/Ib7f
 ncbsN1VXFsC3OudvLM7LQuo4//Nn7B0y9C02/THvIrXYyR4HfAgUFXkBT1HY+cgqmRGFYQjl2abZn
 adMW+VUe5eoKlD2fAPukTA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ow0cm-0005GD-0o; Fri, 18 Nov 2022 07:37:40 -0500
Date: Fri, 18 Nov 2022 14:37:44 +0200
Message-Id: <83bkp4bfqf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <jwvv8ncdflw.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#59347: 29.0.50; `:family` face setting ignored
References: <jwvv8ncdflw.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59347
Cc: 59347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 17 Nov 2022 23:57:31 -0500
> From:  Stefan Monnier via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> When I do:
> 
>     src/emacs -Q --eval \
>         '(progn
>            (custom-set-faces `(variable-pitch
>                                ((t (:family "DejaVu Sans")))))
>            (add-to-list `default-frame-alist
>                         `(font . "-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*"))
>            (font-lock-mode -1)
>            (insert (propertize "hello" `face `variable-pitch)))'
> 
> I get "hello" shown in the same font as with the default face
> (i.e. "misc-fixed") instead using DejaVu Sans.

All those backquotes, are they really backquotes when you type this?
Or should they be escaped apostrophes?

More to the point, why do you think this is a bug in Emacs?  What
happened here is that you requested a face to use some font family,
and Emacs for whatever reasons decided not to use that family.  Why is
that a bug? why are you sure Emacs didn't do that for valid reasons?
Like, for example, that DejaVu Sans doesn't have a variant with the
size that matches the default face's font?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Nov 2022 04:57:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 23:57:59 2022
Received: from localhost ([127.0.0.1]:34915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovtRt-00084u-F3
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 23:57:58 -0500
Received: from lists.gnu.org ([209.51.188.17]:49284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ovtRq-00084m-I6
 for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 23:57:56 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monnier@HIDDEN>)
 id 1ovtRq-0005oW-8Y
 for bug-gnu-emacs@HIDDEN; Thu, 17 Nov 2022 23:57:54 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monnier@HIDDEN>)
 id 1ovtRm-0008BA-Jg
 for bug-gnu-emacs@HIDDEN; Thu, 17 Nov 2022 23:57:53 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 4D0E54415AC
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Nov 2022 23:57:48 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 9ED024415A3
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Nov 2022 23:57:38 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1668747458;
 bh=F5Fbkd/B5p/c+Pc7aylalsTMybIbElZ4iMSb8Bee/oE=;
 h=From:To:Subject:Date:From;
 b=JCIgRExAWxlJgo1borjgfhfWm9/ny2YbizVh3GsslJ1Fb5DU1aJGaHVuC3Nb/38RG
 DaMoelkv30wCarh0L6WJhXu8iu/qahrt2/jJpiUg9jSucskKIvViVKEUXJYC++l30V
 GOT/RX9MI7iZZ951Ac1K2UOzwDcVslWfI0NWTTiLkvmc67MR/h9tMZkkubd8ud0FEZ
 UJ5jHwLMp6F/eCC+jlAmB7NGZySQfJK/HB2jhpJd3jAVq9UmNQ1BBrEoOv5+q/S8PG
 eooAf4J1BGj71gk7rYFkEESRqgGGfy4ndHWL4NcDGtdeaJxTkxjwhuQH5ErlUut+Li
 KUj6T4fJWiPAA==
Received: from pastel (unknown [104.247.241.157])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 54DF2120AA5
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Nov 2022 23:57:38 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; `:family` face setting ignored
Date: Thu, 17 Nov 2022 23:57:31 -0500
Message-ID: <jwvv8ncdflw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results: =?UTF-8?Q?0=0A=09?=ALL_TRUSTED -1 Passed
 through trusted hosts only via =?UTF-8?Q?SMTP=0A=09?=AWL -0.017 Adjusted
 score from AWL reputation of From: =?UTF-8?Q?address=0A=09?=BAYES_00 -1.9
 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily =?UTF-8?Q?valid=0A=09?=DKIM_VALID -0.1 Message has at least
 one valid DKIM or DK =?UTF-8?Q?signature=0A=09?=DKIM_VALID_AU -0.1 Message
 has a valid DKIM or DK signature from author's domain
X-SPAM-LEVEL: 
Received-SPF: pass client-ip=132.204.25.50;
 envelope-from=monnier@HIDDEN; helo=mailscanner.iro.umontreal.ca
X-Spam_score_int: -42
X-Spam_score: -4.3
X-Spam_bar: ----
X-Spam_report: (-4.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, RCVD_IN_DNSWL_MED=-2.3,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Package: Emacs
Version: 29.0.50


When I do:

    src/emacs -Q --eval \
        '(progn
           (custom-set-faces `(variable-pitch
                               ((t (:family "DejaVu Sans")))))
           (add-to-list `default-frame-alist
                        `(font . "-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*"))
           (font-lock-mode -1)
           (insert (propertize "hello" `face `variable-pitch)))'

I get "hello" shown in the same font as with the default face
(i.e. "misc-fixed") instead using DejaVu Sans.


        Stefan


 In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw3d scroll bars) of 2022-11-05 built on pastel
Repository revision: 452771086a1638bd11bae3633a3c10d51c83d9f8
Repository branch: work
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure -C --enable-checking --enable-check-lisp-object-type --with-modules --with-cairo --with-tiff=ifavailable
 'CFLAGS=-Wall -g3 -Og -Wno-pointer-sign'
 PKG_CONFIG_PATH=/home/monnier/lib/pkgconfig'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND
THREADS TOOLKIT_SCROLL_BARS WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID
ZLIB

Important settings:
  value of $LANG: fr_CH.UTF-8
  locale-coding-system: utf-8-unix

Major mode: InactiveMinibuffer

Minor modes in effect:
  shell-dirtrack-mode: t
  server-mode: t
  electric-pair-mode: t
  global-reveal-mode: t
  reveal-mode: t
  auto-insert-mode: t
  savehist-mode: t
  minibuffer-electric-default-mode: t
  global-compact-docstrings-mode: t
  url-handler-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/monnier/src/emacs/nongnu/packages/geiser-kawa/geiser-kawa-autoloads hides /home/monnier/src/emacs/nongnu/packages/geiser-kawa/elisp/geiser-kawa-autoloads
/home/monnier/src/emacs/nongnu/packages/geiser/geiser-autoloads hides /home/monnier/src/emacs/nongnu/packages/geiser/elisp/geiser-autoloads
/home/monnier/src/emacs/nongnu/packages/arduino-mode/ob-arduino hides /home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/ob-arduino
/home/monnier/src/emacs/nongnu/packages/org-contrib/org-contrib-autoloads hides /home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/org-contrib-autoloads
/home/monnier/src/emacs/nongnu/packages/magit/magit-autoloads hides /home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-autoloads
/home/monnier/src/emacs/nongnu/packages/magit/git-commit-autoloads hides /home/monnier/src/emacs/nongnu/packages/magit/lisp/git-commit-autoloads
/home/monnier/src/emacs/nongnu/packages/magit/magit-pkg hides /home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-pkg
/home/monnier/src/emacs/nongnu/packages/magit/magit-section-autoloads hides /home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-section-autoloads
/home/monnier/src/emacs/nongnu/packages/magit/git-commit-pkg hides /home/monnier/src/emacs/nongnu/packages/magit/lisp/git-commit-pkg
/home/monnier/src/emacs/nongnu/packages/magit/magit-section-pkg hides /home/monnier/src/emacs/nongnu/packages/magit/lisp/magit-section-pkg
/home/monnier/src/emacs/nongnu/packages/pdf-tools/pdf-tools-autoloads hides /home/monnier/src/emacs/nongnu/packages/pdf-tools/lisp/pdf-tools-autoloads
/home/monnier/src/emacs/nongnu/packages/php-mode/php-mode-autoloads hides /home/monnier/src/emacs/nongnu/packages/php-mode/lisp/php-mode-autoloads
/home/monnier/src/emacs/nongnu/packages/jade-mode/jade-mode hides /home/monnier/src/emacs/nongnu/packages/stylus-mode/jade-mode
/home/monnier/src/emacs/nongnu/packages/jade-mode/sws-mode hides /home/monnier/src/emacs/nongnu/packages/stylus-mode/sws-mode
/home/monnier/src/emacs/nongnu/packages/jade-mode/stylus-mode hides /home/monnier/src/emacs/nongnu/packages/stylus-mode/stylus-mode
/home/monnier/src/emacs/nongnu/packages/subed/subed-autoloads hides /home/monnier/src/emacs/nongnu/packages/subed/subed/subed-autoloads
/home/monnier/src/emacs/nongnu/packages/with-editor/with-editor-autoloads hides /home/monnier/src/emacs/nongnu/packages/with-editor/lisp/with-editor-autoloads
/home/monnier/src/emacs/elpa/packages/bbdb/bbdb-autoloads hides /home/monnier/src/emacs/elpa/packages/bbdb/lisp/bbdb-autoloads
/home/monnier/src/emacs/nongnu/packages/paredit/test hides /home/monnier/src/emacs/elpa/packages/easy-kill/test
/home/monnier/src/emacs/elpa/packages/embark-consult/embark-consult hides /home/monnier/src/emacs/elpa/packages/embark/embark-consult
/home/monnier/src/emacs/elpa/packages/embark-consult/embark hides /home/monnier/src/emacs/elpa/packages/embark/embark
/home/monnier/src/emacs/elpa/packages/embark-consult/avy-embark-collect hides /home/monnier/src/emacs/elpa/packages/embark/avy-embark-collect
/home/monnier/src/emacs/elpa/packages/embark-consult/embark-org hides /home/monnier/src/emacs/elpa/packages/embark/embark-org
/home/monnier/src/emacs/elpa/packages/ess/ess-autoloads hides /home/monnier/src/emacs/elpa/packages/ess/lisp/ess-autoloads
/home/monnier/src/emacs/nongnu/packages/forth-mode/build hides /home/monnier/src/emacs/elpa/packages/lentic/build
/home/monnier/src/emacs/nongnu/packages/paredit/test hides /home/monnier/src/emacs/elpa/packages/num3-mode/test
/home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/org-contacts hides /home/monnier/src/emacs/elpa/packages/org-contacts/org-contacts
/home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/org-notify hides /home/monnier/src/emacs/elpa/packages/org-notify/org-notify
/home/monnier/src/emacs/elpa/packages/realgud-lldb/cask-install hides /home/monnier/src/emacs/elpa/packages/realgud-trepan-ni/cask-install
/home/monnier/src/emacs/elpa/packages/realgud-lldb/cask-install hides /home/monnier/src/emacs/elpa/packages/realgud/cask-install
/home/monnier/src/emacs/elpa/packages/srht/srht-autoloads hides /home/monnier/src/emacs/elpa/packages/srht/lisp/srht-autoloads
/home/monnier/src/emacs/elpa/packages/taxy-magit-section/taxy-magit-section hides /home/monnier/src/emacs/elpa/packages/taxy/taxy-magit-section
/home/monnier/src/emacs/elpa/packages/transient/transient-autoloads hides /home/monnier/src/emacs/elpa/packages/transient/lisp/transient-autoloads
/home/monnier/src/emacs/nongnu/packages/mentor/url-scgi hides /home/monnier/src/emacs/elpa/packages/url-scgi/url-scgi
/home/monnier/src/emacs/elpa/packages/use-package/use-package-tests hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-tests
/home/monnier/src/emacs/elpa/packages/use-package/use-package-delight hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-delight
/home/monnier/src/emacs/elpa/packages/use-package/use-package-diminish hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-diminish
/home/monnier/src/emacs/elpa/packages/use-package/bind-chord hides /home/monnier/src/emacs/elpa/packages/bind-key/bind-chord
/home/monnier/src/emacs/elpa/packages/use-package/use-package-lint hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-lint
/home/monnier/src/emacs/elpa/packages/use-package/use-package-core hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-core
/home/monnier/src/emacs/elpa/packages/use-package/use-package-ensure hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-ensure
/home/monnier/src/emacs/elpa/packages/use-package/use-package-chords hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-chords
/home/monnier/src/emacs/elpa/packages/use-package/bind-key hides /home/monnier/src/emacs/elpa/packages/bind-key/bind-key
/home/monnier/src/emacs/elpa/packages/use-package/use-package-chords-tests hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-chords-tests
/home/monnier/src/emacs/elpa/packages/use-package/use-package-jump hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-jump
/home/monnier/src/emacs/elpa/packages/use-package/use-package hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package
/home/monnier/src/emacs/elpa/packages/use-package/use-package-bind-key hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-bind-key
/home/monnier/src/emacs/elpa/packages/use-package/use-package-ensure-system-package hides /home/monnier/src/emacs/elpa/packages/bind-key/use-package-ensure-system-package
/home/monnier/src/emacs/elpa/packages/hydra/hydra-test hides /home/monnier/src/emacs/elpa/packages/lv/hydra-test
/home/monnier/src/emacs/elpa/packages/hydra/hydra hides /home/monnier/src/emacs/elpa/packages/lv/hydra
/home/monnier/src/emacs/elpa/packages/hydra/lv hides /home/monnier/src/emacs/elpa/packages/lv/lv
/home/monnier/src/emacs/elpa/packages/hydra/hydra-ox hides /home/monnier/src/emacs/elpa/packages/lv/hydra-ox
/home/monnier/src/emacs/elpa/packages/hydra/hydra-examples hides /home/monnier/src/emacs/elpa/packages/lv/hydra-examples
/home/monnier/src/emacs/elpa/packages/ada-mode/gnat-core hides /home/monnier/src/emacs/elpa/packages/wisi/gnat-core
/home/monnier/src/emacs/elpa/packages/transient/lisp/transient hides /home/monnier/src/emacs/work/lisp/transient
/home/monnier/src/emacs/nongnu/packages/lua-mode/lua-mode hides /home/monnier/src/emacs/work/lisp/progmodes/lua-mode
/home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/ob-julia hides /home/monnier/src/emacs/work/lisp/org/ob-julia
/home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/ol-man hides /home/monnier/src/emacs/work/lisp/org/ol-man
/home/monnier/src/emacs/nongnu/packages/org-contrib/lisp/ox-koma-letter hides /home/monnier/src/emacs/work/lisp/org/ox-koma-letter
/home/monnier/.emacs.d/elpa/hyperbole-8.0.0/set hides /home/monnier/src/emacs/work/lisp/emacs-lisp/set
/home/monnier/src/emacs/work/lisp/keymap hides /home/monnier/src/emacs/work/lisp/emacs-lisp/keymap
/home/monnier/src/emacs/elpa/packages/landmark/landmark hides /home/monnier/src/emacs/work/lisp/obsolete/landmark
/home/monnier/src/emacs/elpa/packages/crisp/crisp hides /home/monnier/src/emacs/work/lisp/obsolete/crisp

Features:
(crm tuareg tuareg-compat tuareg-opam caml-types caml-help find-file
ert-x gud cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew
holidays holiday-loaddefs cal-french org-journal org-crypt cal-iso
diary-lib diary-loaddefs mule-util cal-move arc-mode archive-mode
markdown-mode edit-indirect nameless cus-edit edmacro kmacro picture
package-x css-mode color html5-schema rng-xsd xsd-regexp rng-cmpct
rng-nxml rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt
rng-util rng-pttrn nxml-ns nxml-mode nxml-outln nxml-rap sgml-mode
facemenu nxml-util nxml-enc xmltok rfc2104 network-stream nsm mailalias
smtpmail textsec uni-scripts idna-mapping ucs-normalize uni-confusable
textsec-check rect shadow mail-extr emacsbug j-help reftex-ref epa-file
eglot array jsonrpc ert xref edebug shortdoc org-eldoc org-element
avl-tree generator ol-eww eww xdg url-queue mm-url ol-rmail ol-mhe
ol-irc ol-info ol-gnus nnselect gnus-art mm-uu mml2015 mm-view mml-smime
smime gnutls dig gnus-sum shr pixel-fill kinsoku url-file svg dom
gnus-group gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap
nnmail mail-source utf7 nnoo parse-time gnus-spec gnus-int gnus-range
gnus-win gnus nnheader range ol-docview ol-bibtex ol-bbdb ol-w3m ol-doi
org-link-doi org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete org-list org-faces
org-entities org-version ob-emacs-lisp ob-core ob-eval org-table
oc-basic bibtex iso8601 org-keys oc org-loaddefs cal-menu calendar
cal-loaddefs texinfo texinfo-loaddefs dired-aux drupal/ispell
drupal/eldoc drupal/autoinsert drupal-mode cc-styles cc-align cc-engine
cc-langs cc-vars cc-defs sql view dired-x reftex-cite reftex-parse ielm
cus-start cus-load skeleton pp wid-edit descr-text face-remap
gitignore-mode conf-mode sort elpa-admin smerge-mode whitespace dabbrev
debug backtrace find-func ffap sm-c-mode wgrep grep vc-fossil vc-backup
vc-hg vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs vc-got log-view
log-edit message sendmail yank-media puny rfc822 mml mml-sec epa derived
epg rfc6068 epg-config gnus-util mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log vc-annotate
vc-dir ewoc vc copyright misearch multi-isearch bug-reference cl-print
diff autorevert imenu doc-view filenotify jka-compr image-mode exif
dired dired-loaddefs sh-script smie executable make-mode files-x vc-git
diff-mode easy-mmode vc-dispatcher filecache reftex-dcr reftex
reftex-loaddefs reftex-vars tex-mode shell drupal/pcomplete pcomplete
latexenc raku-detect server cl-extra time-date flymake-proc flymake
project compile text-property-search comint ansi-osc ansi-color noutline
outline flyspell ispell checkdoc lisp-mnt thingatpt elec-pair reveal
autoinsert savehist minibuf-eldef disp-table compact-docstrings corfu
afternoon-theme-autoloads alect-themes-autoloads ample-theme-autoloads
annotate-autoloads anti-zenburn-theme-autoloads apache-mode-autoloads
apropospriate-theme-autoloads arduino-mode-autoloads ede/auto eieio-base
better-jumper-autoloads bison-mode-autoloads boxquote-autoloads
buttercup-autoloads cdlatex-autoloads cider-autoloads
coffee-mode-autoloads corfu-terminal-autoloads crux-autoloads
cyberpunk-theme-autoloads cycle-at-point-autoloads d-mode-autoloads
dart-mode-autoloads diff-ansi-autoloads doc-show-inline-autoloads
dockerfile-mode-autoloads dracula-theme-autoloads drupal-mode-autoloads
edit-indirect-autoloads editorconfig-autoloads elixir-mode-autoloads
elpher-autoloads evil-anzu-autoloads anzu-autoloads evil-args-autoloads
evil-exchange-autoloads evil-goggles-autoloads
evil-indent-plus-autoloads evil-lisp-state-autoloads bind-map-autoloads
evil-matchit-autoloads evil-nerd-commenter-autoloads
evil-numbers-autoloads evil-visualstar-autoloads evil-autoloads
flymake-kondor-autoloads flymake-popon-autoloads focus-autoloads
forth-mode-autoloads free-keys-autoloads geiser-chez-autoloads
geiser-chibi-autoloads geiser-chicken-autoloads geiser-gambit-autoloads
geiser-gauche-autoloads geiser-guile-autoloads geiser-kawa-autoloads
geiser-mit-autoloads geiser-racket-autoloads geiser-impl help-fns
radix-tree help-mode geiser-custom geiser-base ring
geiser-stklos-autoloads git-modes-autoloads gnu-apl-mode-autoloads
gnuplot-autoloads go-mode-autoloads gotham-theme-autoloads
goto-chg-autoloads graphql-mode-autoloads gruvbox-theme-autoloads
autothemer-autoloads guru-mode-autoloads haskell-mode-autoloads
haskell-tng-mode-autoloads helm-autoloads helm-core-autoloads
highlight-parentheses-autoloads hl-block-mode-autoloads
htmlize-autoloads idle-highlight-mode-autoloads idris-mode-autoloads
iedit-autoloads inf-clojure-autoloads clojure-mode-autoloads
inf-ruby-autoloads inkpot-theme-autoloads j-mode-autoloads
jabber-autoloads jade-mode-autoloads jinja2-mode-autoloads
julia-mode-autoloads keycast-autoloads kotlin-mode-autoloads
lua-mode-autoloads markdown-mode-autoloads material-theme-autoloads
mentor-autoloads moe-theme-autoloads monokai-theme-autoloads
mpv-autoloads multiple-cursors-autoloads nasm-mode-autoloads
nginx-mode-autoloads nix-mode-autoloads oblivion-theme-autoloads
org-auto-tangle-autoloads org-drill-autoloads org-journal-autoloads
org-mime-autoloads org-present-autoloads org-superstar-autoloads
org-tree-slide-autoloads orgit-autoloads pacmacs-autoloads
paredit-autoloads parseedn-autoloads parseclj-autoloads
pcmpl-args-autoloads pcre2el-autoloads popon-autoloads popup-autoloads
projectile-autoloads proof-general-autoloads proof-site proof-autoloads
prop-menu-autoloads rainbow-delimiters-autoloads raku-mode-autoloads
recomplete-autoloads rfc-mode-autoloads rubocop-autoloads
rust-mode-autoloads sass-mode-autoloads haml-mode-autoloads
scala-mode-autoloads scroll-on-drag-autoloads scroll-on-jump-autoloads
sesman-autoloads shellcop-autoloads slime-autoloads macrostep-autoloads
sly-autoloads smartparens-autoloads solarized-theme-autoloads
spacemacs-theme-autoloads spell-fu-autoloads stylus-mode-autoloads
subatomic-theme-autoloads sweeprolog-autoloads swift-mode-autoloads
swsw-autoloads symbol-overlay-autoloads systemd-autoloads
tablist-autoloads tangotango-theme-autoloads telephone-line-autoloads
textile-mode-autoloads toc-org-autoloads tuareg-autoloads caml-autoloads
typescript-mode-autoloads ujelly-theme-autoloads undo-fu-autoloads
undo-fu-session-autoloads vc-fossil-autoloads vcomplete-autoloads
visual-fill-column-autoloads web-mode-autoloads webpaste-autoloads
wgrep-autoloads with-simulated-input-autoloads ws-butler-autoloads
xah-fly-keys-autoloads xml-rpc-autoloads yaml-mode-autoloads
yasnippet-snippets-autoloads zenburn-theme-autoloads zig-mode-autoloads
ace-window-autoloads ack-autoloads ada-mode-autoloads
ada-ref-man-autoloads adaptive-wrap-autoloads adjust-parens-autoloads
advice-patch-autoloads aggressive-completion-autoloads
aggressive-indent-autoloads agitate-autoloads ahungry-theme-autoloads
aircon-theme-autoloads all-autoloads ampc-autoloads arbitools-autoloads
assess-autoloads aumix-mode-autoloads auto-correct-autoloads
auto-overlays-autoloads bbdb-autoloads beacon-autoloads blist-autoloads
bluetooth-autoloads bnf-mode-autoloads boxy-headings-autoloads
boxy-headlines-autoloads brief-autoloads buffer-env-autoloads
buffer-expose-autoloads bug-hunter-autoloads cape-autoloads
capf-autosuggest-autoloads caps-lock-autoloads captain-autoloads
chess-autoloads clipboard-collector-autoloads cobol-mode-autoloads
code-cells-autoloads comint-mime-autoloads compact-docstrings-autoloads
company-ebdb-autoloads company-math-autoloads
company-statistics-autoloads company-autoloads consult-recoll-autoloads
context-coloring-autoloads corfu-doc-autoloads corfu-autoloads
coterm-autoloads counsel-autoloads cpio-mode-autoloads
cpupower-autoloads crdt-autoloads crisp-autoloads csharp-mode-autoloads
csv-mode-autoloads cursory-autoloads cycle-quotes-autoloads
darkroom-autoloads dbus-codegen-autoloads debbugs-autoloads
delight-autoloads denote-autoloads detached-autoloads devdocs-autoloads
dict-tree-autoloads diff-hl-autoloads diffview-autoloads
diminish-autoloads dired-du-autoloads dired-git-info-autoloads
disk-usage-autoloads dismal-autoloads djvu-autoloads doc-toc-autoloads
docbook-autoloads dts-mode-autoloads easy-escape-autoloads
easy-kill-autoloads ebdb-gnorb-autoloads cl-seq ebdb-i18n-chn-autoloads
ebdb-autoloads ediprolog-autoloads eev-autoloads ef-themes-autoloads
el-search-autoloads eldoc-eval-autoloads electric-spacing-autoloads
elisp-benchmarks-autoloads emacspeak-autoloads embark-consult-autoloads
consult-autoloads embark-autoloads ement-autoloads emms-autoloads
engrave-faces-autoloads enwc-autoloads epoch-view-autoloads
ergoemacs-mode-autoloads ess-autoloads excorporate-autoloads
expand-region-autoloads exwm-autoloads f90-interface-browser-autoloads
filladapt-autoloads flylisp-autoloads flymake-proselint-autoloads
fontaine-autoloads frame-tabs-autoloads frog-menu-autoloads
fsm-autoloads ftable-autoloads gcmh-autoloads ggtags-autoloads
gited-autoloads gle-mode-autoloads gnat-compiler-autoloads
gnome-c-style-autoloads gnorb-autoloads gnu-elpa-autoloads
gnu-elpa-features gnu-elpa-keyring-update-autoloads gnugo-autoloads
ascii-art-to-unicode-autoloads gnus-mock-autoloads gpastel-autoloads
graphql-autoloads greader-autoloads greenbar-autoloads
gtags-mode-autoloads guess-language-autoloads hcel-autoloads
hiddenquote-autoloads highlight-escape-sequences-autoloads
hook-helpers-autoloads html5-schema-autoloads ilist-autoloads
inspector-autoloads treeview-autoloads ioccur-autoloads
isearch-mb-autoloads iterators-autoloads ivy-avy-autoloads avy-autoloads
ivy-explorer-autoloads ivy-hydra-autoloads ivy-posframe-autoloads
javaimp-autoloads jgraph-mode-autoloads js2-mode-autoloads
json-mode-autoloads jumpc-autoloads kind-icon-autoloads kiwix-autoloads
request-autoloads kmb-autoloads landmark-autoloads leaf-autoloads
lentic-server-autoloads lentic-autoloads lex-autoloads lin-autoloads
lmc-autoloads load-dir-autoloads loccur-autoloads logos-autoloads
luwak-autoloads m-buffer-autoloads marginalia-autoloads
markchars-autoloads math-symbol-lists-autoloads mct-autoloads
memory-usage-autoloads metar-autoloads midi-kbd-autoloads
mines-autoloads minibuffer-header-autoloads minibuffer-line-autoloads
minimap-autoloads multi-mode-autoloads multishell-autoloads
muse-autoloads myers-autoloads nameless-autoloads names-autoloads
nano-agenda-autoloads nano-modeline-autoloads nano-theme-autoloads
nftables-mode-autoloads nhexl-mode-autoloads nlinum-autoloads
notes-mode-autoloads notmuch-indicator-autoloads num3-mode-autoloads
oauth2-autoloads ob-haxe-autoloads objed-autoloads omn-mode-autoloads
on-screen-autoloads orderless-autoloads org-contacts-autoloads
org-edna-autoloads org-modern-autoloads org-notify-autoloads
org-real-autoloads ol rx org-compat advice org-macs format-spec
boxy-autoloads org-remark-autoloads org-transclusion-autoloads
org-translate-autoloads orgalist-autoloads osc-autoloads osm-autoloads
other-frame-window-autoloads pabbrev-autoloads paced-autoloads
package-fixes-autoloads parsec-autoloads parser-generator-autoloads
path-iterator-autoloads peg-autoloads perl-doc-autoloads
persist-autoloads phps-mode-autoloads pinentry-autoloads poke-autoloads
poke-mode-autoloads poker-autoloads polymode-autoloads pq-autoloads
prefixed-core-autoloads psgml-autoloads pspp-mode-autoloads
pulsar-autoloads pyim-autoloads async-autoloads pyim-basedict-autoloads
quarter-plane-autoloads rainbow-mode-autoloads rbit-autoloads
rcirc-color-autoloads rcirc-menu-autoloads realgud-ipdb-autoloads
realgud-jdb-autoloads realgud-lldb-autoloads
realgud-node-debug-autoloads realgud-node-inspect-autoloads
realgud-trepan-ni-autoloads realgud-autoloads loc-changes-autoloads
load-relative-autoloads rec-mode-autoloads register-list-autoloads
relint-autoloads repology-autoloads rich-minority-autoloads
rmsbolt-autoloads rnc-mode-autoloads info rt-liberation-autoloads
rudel-autoloads rudel-interactive rudel-backend warnings icons
satchel-autoloads scanner-autoloads scroll-restore-autoloads
sed-mode-autoloads setup-autoloads shelisp-autoloads
shell-command+-autoloads shell-quasiquote-autoloads shen-mode-autoloads
sisu-mode-autoloads sketch-mode-autoloads slime-volleyball-autoloads
sm-c-mode-autoloads smalltalk-mode-autoloads smart-yank-autoloads
sml-mode-autoloads sokoban-autoloads sotlisp-autoloads spinner-autoloads
sql-beeline-autoloads sql-cassandra-autoloads sql-indent-autoloads
sql-smie-autoloads plz-autoloads ssh-deploy-autoloads stream-autoloads
svg-clock-autoloads svg-tag-mode-autoloads svg-lib-autoloads
swiper-autoloads ivy-autoloads system-packages-autoloads
taxy-magit-section-autoloads taxy-autoloads dash-autoloads
temp-buffer-browse-autoloads tempel-autoloads test-simple-autoloads
timerfunctions-autoloads tiny-autoloads tmr-autoloads toc-mode-autoloads
tomelr-autoloads topspace-autoloads tramp-nspawn-autoloads
tramp-theme-autoloads transcribe-autoloads transient-cycles-autoloads
trie-autoloads heap-autoloads tNFA-autoloads trinary-autoloads
finder-inf undo-tree-autoloads uni-confusables-autoloads
uniquify-files-autoloads url-http-ntlm-autoloads url-auth
url-scgi-autoloads use-package-autoloads bind-key-autoloads
validate-autoloads valign-autoloads vc-backup-autoloads compat-autoloads
vc-got-autoloads vc-hgcmd-autoloads vcard-autoloads vcl-mode-autoloads
vdiff-autoloads hydra-autoloads lv-autoloads vertico-posframe-autoloads
vertico-autoloads posframe-autoloads vigenere-autoloads
visual-filename-abbrev-autoloads visual-fill-autoloads vlf-autoloads
vundo-autoloads wcheck-mode-autoloads wconf-autoloads
web-server-autoloads webfeeder-autoloads websocket-autoloads
which-key-autoloads windower-autoloads windresize-autoloads
wisitoken-grammar-mode-autoloads mmm-mode-autoloads wisi-autoloads
wpuzzle-autoloads wrap-search-autoloads xclip-autoloads xelb-autoloads
xpm-autoloads queue-autoloads xr-autoloads
yasnippet-classic-snippets-autoloads yasnippet-autoloads zones-autoloads
ztree-autoloads zuul-autoloads ustar-withsub-autoloads package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie generate-lisp-file url-domsuf url-util mailcap url-handlers
url-parse auth-source eieio eieio-core cl-macs gv pcase password-cache
json subr-x map byte-opt bytecomp byte-compile url-vars cl-loaddefs
cl-lib rmc iso-transl tooltip cconv eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray button
loaddefs theme-loaddefs oclosure cl-preloaded faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo x-toolkit xinput2 x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1373967 465408) (symbols 48 60127 306) (strings 32 283975 64620)
 (string-bytes 1 9145370) (vectors 16 187977)
 (vector-slots 8 4678227 999474) (floats 8 1693 1344)
 (intervals 56 102184 1671) (buffers 984 183))





Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59347; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 21 Nov 2022 15:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.